var lastScrollTop = 0;
var triger		  = false;
var iOS 		  = ( navigator.userAgent.match(/(iPad|iPhone|iPod)/g) ? true : false );
var clickHandler  = ('ontouchstart' in document.documentElement ? "touchstart" : "click"); 

window.onerror = function(errorMessage, url, line) {
	var formData = "description=" + escape(errorMessage) + "&url="
			+ escape(url) + "&line=" + escape(line) + "&parent_url="
			+ escape(document.location.href) + "&user_agent="
			+ escape(navigator.userAgent);

	$.ajax({
		type : "POST",
		url : "https://www.onecklace.com/functions/stack-js-errors.php",
		data : formData,
		cache : false,
		success : function(ret) {
		
		}
	});
};

$(function() {$('.lazy').lazy();});



$(document).ready(function() {
	// fix modular select
	$('.modular_select select').change(function(e){
						if($(".modular_select select option:first").is(":selected")){
							$(this).parents().find('.input_text_class').show();
						}else{
							if($(this).parents().find('.input_text_class').length > 0 ){
								$(this).parents().find('.input_text_class').find('input').val("");
								$(this).parents().find('.input_text_class').hide();
							}
						}
	});
	
	$('.header-sticky').css('top',$('.header-top-banner').height());
	// temp christmass strip
	if($('.strip2_textLeft1').length > 0 && $('.strip2_textLeft2').length > 0){
		let status = 1;
		setInterval(()=>{
			status *=(-1);
			swaptexts(status);
		},3000);
	}

	function swaptexts(status){
		if(status == -1){
			$('.strip2_textLeft1').fadeOut('1000',()=>$('.strip2_textLeft2').fadeIn('1000'));
		}else{
			$('.strip2_textLeft2').fadeOut('1000',()=>$('.strip2_textLeft1').fadeIn('1000'));

		}
	}
	//*************** counter timeout
	// counter timeout
	if($('.counter-bf').length > 0){
		counterTimeOut();
	}
	function counterTimeOut(){
		var countDownDate = new Date($('.counter-bf').attr('rel')).getTime();
		var x = setInterval(function() {
		var now = new Date().getTime();
		var distance = countDownDate - now;	

		var days = Math.floor(distance / (1000 * 60 * 60 * 24));
		var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
		var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
		var seconds = Math.floor((distance % (1000 * 60)) / 1000);

		$(".counter-days").html(days);
		$(".counter-hours").html(hours);
		$(".counter-minutes").html(minutes);
		$(".counter-seconds").html(seconds);
		if (distance < 0) {
			clearInterval(x);
			$(".counter-bf").innerHTML = "";
			$('.counter-bf').hide();
			$('#strip-counter-wrapper').hide();
		}
		}, 1000);
	}
	
	//*************** counter timeout

	lazyImage();
	// Find all YouTube videos
	var $allVideos = $("iframe[src^='http://www.youtube.com']"),

	    // The element that is fluid width
	    $fluidEl = $("body");

	// Figure out and save aspect ratio for each video
	$allVideos.each(function() {

		$(this)
			.data('aspectRatio', this.height / this.width)
			
			// and remove the hard coded width/height
			.removeAttr('height')
			.removeAttr('width');

	});

	// When the window is resized
	// (You'll probably want to debounce this)
	$(window).resize(function() {

		var newWidth = $fluidEl.width();
		
		// Resize all videos according to their own aspect ratio
		$allVideos.each(function() {

			var $el = $(this);
			$el
				.width(newWidth)
				.height(newWidth * $el.data('aspectRatio'));

		});

		

	// Kick off one resize to fix all videos on page load
	}).resize();

		// ********* Personalization extras - Product page ************ //
		// open the relvant modal - general
		$('.product-extras-plus').click((e)=>{
			if($(e.target).hasClass('minus-sign')){
				setProductExtraSign($(e.target).attr('id'), false);
				// cancel
				let addedSignId = $(e.target).attr('added_sign_id');
				$(`#${addedSignId}`).hide();

				let previewId = $(e.target).attr('preview_id');
				$(`#${previewId}`).hide();

				// TODO: check if working for wholesale
				let inputId = $(e.target).attr('input_id');
				$(`#${inputId}`).val(0);
				$(`#${inputId}`).prop("checked", false);

				if($(e.target).attr('id') == 'double-thickness-plus-btn'){
					$('#double_thickness').prop("checked", false);
				}

			}else{
				let modalId = $(e.target).attr('rel');
				if(modalId != ""){
					$(`#${modalId} .modal_for_product_extras`).modal('show');
				}

				
				let id = $(e.target).attr('id');
				if(id == 'double-thickness-plus-btn'){
					$('#double_thickness').prop("checked", true);
					let addedSignId = $(e.target).attr('added_sign_id');
					$(`#${addedSignId}`).show();
					setProductExtraSign(id, true);
				}
				if(id == 'lobster-clasp-plus-btn'){
					$('#lobster_clasp').val(1);
					let addedSignId = $(e.target).attr('added_sign_id');
					$(`#${addedSignId}`).show();
					setProductExtraSign(id, true);
				}
			}
		});

		// gift box
		$('#gift-box-add-to-cart-btn').click(()=>{
			$('#gift-box-checkbox').val(1);
			$('#gift-box-checkbox').prop("checked", true);
			setProductExtraSign('gift-box-plus-button', true);
			$('.modal_for_product_extras').modal('hide');
			$('#added-to-cart-sign-gift-box').show();
			let giftBoxTxt = '"' + $('.gift-box-text-area').val().substring(0,20) + '...' + '"';
			$('#gift-box-preview-text').html(giftBoxTxt);
			$('#gift-box-preview-text').show();
			
			$('html, body').animate({scrollTop: $("#personalized-extras-title").offset().top - 200}, 500);
		});

		$('.open-gift-box-modal').click(()=>{$('#gift-box-modal-form .modal_for_product_extras').modal('show');});

		$('.open-tag-clasp-modal').click(()=>{$('#tag-clasp-modal-form .modal_for_product_extras').modal('show');});

		$('#tag-clasp-add-to-cart-btn').click(()=>{
			if($('#personalized-tag-name').val().length == 0){
				$('#personalized-tag-name').focus();
				return;
			}
			$('#personalized-tag-clasp').val(1);
			$('#personalized-tag-clasp').prop("checked", true);
			setProductExtraSign('tag-clasp-plus-button', true);
			$('#added-to-cart-sign-tag-clasp').show();
			let tagTxt = '"' + $('#personalized-tag-name').val() + '"';
			$('#tag-clasp-preview-text').html(tagTxt);
			$('.modal_for_product_extras').modal('hide');

			$('html, body').animate({
				scrollTop: $("#personalized-extras-title").offset().top - 200}, 500);
		});
		
		$('#back-engraving-add-to-cart-btn').click(()=>{
			$('#add-back-engraving').val(1);
			$('#add-back-engraving').prop("checked", true);
			setProductExtraSign('back-engraving-plus-button', true);
			$('#added-to-cart-sign-back-engraving').show();
			let tagTxt = '"' + $('#back-engraving-text-input').val() + '"';
			$('#back-engraving-preview-text').html(tagTxt);
			$('.modal_for_product_extras').modal('hide');

			$('html, body').animate({
				scrollTop: $("#personalized-extras-title").offset().top - 200}, 500);
		});

		// true = add, false = remove
		function setProductExtraSign(id, opr){
			if(opr){
				$(`#${id}`).removeClass('plus-sign');
				$(`#${id}`).addClass('minus-sign');
			}else{
				$(`#${id}`).removeClass('minus-sign');
				$(`#${id}`).addClass('plus-sign');
			}
		}

		$('#personalized-tag-name').change(function(e){
			if($(this).val().length == 0){
				setProductExtraSign('tag-clasp-plus-button',false);
				$('#added-to-cart-sign-tag-clasp').hide();
				$('#tag-clasp-preview-text').html("");
				$('#personalized-tag-clasp').prop("checked", false);
			}
		});

		// ********* Personalization extras - Product page ************ //



/* ------------------------------------------------------------ *\
	Mobile
\* ------------------------------------------------------------ */
 $('.load-mobile-model').click(function() {
    $('#mobile-strip-modal').modal('show');
});

$('.nav-toggle').click(function() {
	
	$('.cat-filter-container').hide();
	
	event.preventDefault(); 
	
	$('.nav').animate({width: 'toggle'});
	$('.mobile-logo').toggle();
	
	
	$('.product-guarantee-line').animate({width: 'toggle'});
	$('.bx-controls-direction a').animate({width: 'toggle'});
});


$('.mobile-nav-category-toogle').click(function() {
	$(this).toggleClass('active');
	$(this).toggleClass('font-weight-600');
	$(this).toggleClass("mobile-shown-current-menu");	
	$(this).find('.mobile-menu-arrow').toggleClass("mobile-active-arrow");
	$(this).next().toggle();
	$(this).children().toggleClass("icon-chevron-down-white");
});

$('.header-search-icon').click(function() {
	if(!$('.mobile-search').is(":visible")){
		$('.nav').hide();
		$('.mobile-search').fadeIn("fast");
		$("#live-search-input").focus();
	}else{
		$('.mobile-search').fadeOut("fast");

	}
});


$(document).on('change', '.currency-select', function(){	
	var value = $(this).val();


});


$(document).on('change', '.mobile-country-select', function(){	
	var url = $(this).find('option:selected').attr('rel');
	
	window.location.href = url;
});

//fix lang url
$(document).on('click','.lang-icons > li', function(){	
	var url = $(this).attr('rel');
	
	window.location.href = url;
});

if($('#popup').length){
	preloadImages('https://cdn.onecklace.com/images/home/popup/popup_newsletter4.jpg');
	//use for spin the wheel offer (stwo)
	preloadImages('https://cdn.onecklace.com/images/home/popup/spining-wheel/banner.png');
}

//lazy load of icons on menu mobile on click
$('.nav-toggle').one('click',function(){
	$('.lazy-mobile-menu-icons').each(function(){
		$( this ).attr('src', $(this).attr('data-src'));
	});
});

$(document).on('click', 'body', function(e){
    $('[data-toggle="popover-product-info"],[data-toggle="popover-header"]').each(function () {
        //the 'is' for buttons that trigger popups
        //the 'has' for icons within a button that triggers a popup
        if (!$(this).is(e.target) && $(this).has(e.target).length === 0 && $('.popover').has(e.target).length === 0) {
            $(this).popover('hide');
        }
    });
    
  
    var target2 = $(e.target);    
    
    if(target2.parents('.shopping-cart-toggle').length == 0 && !$(e.target).is('.shopping-cart-toggle')){
		$('.shopping-cart-flot-cart').hide('slow');
	};

	if(target2.parents('#wishlist-offer').length == 0 && !$(e.target).is('#wishlist-offer')){
		$('#wishlist-offer').fadeOut('slow');
	};
    
    if($(window).width() <= 1200 && $('.mobile-nav').is(":visible")){
    
    	var container3 = $(".nav-body");
    	var container4 = $(".nav-toggle");
			
		if (!container3.is(e.target)&& container3.has(e.target).length === 0 && !container4.is(e.target)&& container4.has(e.target).length === 0)  {
	        $('.mobile-nav').animate({width: 'hide'});
	        $('.mobile-logo').show();
			hide_outside_scroll('.mobile-nav');
	    }
	}
});

 $(".dot-material-circle-div-cat-page").click(function(){
	let mat = $(this).attr("rel").concat('_product_');
	if(mat=='silver_product_' || mat=='white_gold_product_')mat="product_";
	if(mat=='gold_product_')mat="gold_plated_product_";
	let src = $(this).parents('.product-cube').find('.product-cube-pic').attr('src');
	if(src.includes('gold_plated_product_') || src.includes('rose_gold_product_')){
			src = src.replace('gold_plated_product_',mat);
	        src = src.replace('rose_gold_product_',mat);
	}
	else 
		src = src.replace('product_',mat);
	$(this).parents('.product-cube').find('.product-cube-pic').attr('src',src)
	$(this).parent().find('.dot-material-circle-div-cat-page').removeClass('product-material-selected');
	$(this).addClass('product-material-selected')
 })

$(document).on('click', '.category-selectbol-link', function(){
 	 $(this).parent().find('a').removeClass('category-selected-a');
 	 $(this).addClass('category-selected-a');
 	
	 $('.navigation-cube').addClass('display-none-important');
});

$('.navigation-outsider').hover(function(){
	$('.navigation-cube').removeClass('display-none-important');
});


if($('#strip-countdown').is(":visible")){
	
	StripCountDownDate('strip-countdown',$('#strip-countdown').attr('rel'));
	
		
	setInterval(function() {
		if($('.countdown-line').is(":visible")){
			$('.countdown-line').addClass('display-none');
			$('.countdown-line-hide').removeClass('display-none');
		}
		else{
			$('.countdown-line').removeClass('display-none');
			$('.countdown-line-hide').addClass('display-none');
		}

	}, 2000);
}

if($('.review-in-category-page').is(":visible")){
	$('.reivews-slider').bxSlider({
	  	auto: true,
  		nextText: '',
  		prevText: '',  	
  		autoControls: false,
		autoHover: true,
  		pager:false
	});
}


/* ------------------------------------------------------------ *\
	Home Page
\* ------------------------------------------------------------ */



/* ------------------------------------------------------------ *\
	General
\* ------------------------------------------------------------ */
// temp bf deal
function blinkBfArrow(){
	if($('#bf-arrow').length){
		$('#bf-arrow').fadeOut(500);
		$('#bf-arrow').fadeIn(500);
		$('#bf-arrow').fadeOut(500);
		$('#bf-arrow').fadeIn(500);
		$('#bf-arrow').fadeOut(500);
		$('#bf-arrow').fadeIn(500);
	}
}

$('.user-login-container  input').keyup(function(e) {
	if(e.keyCode == 13){
		$(this).parents('form:first').submit();
	}
});


$(document).on('click', '.wish-list-btn', function(e){
	e.preventDefault();
	return false;
});

$('.paypal-express-frm').submit(function(e) {
	e.preventDefault();

	window.FlotCartProducts = window.FlotCartProducts || [];

	// if source is shopping cart..
	if(FlotCartProducts.length == 0 && dataLayer.length > 0){	
		FlotCartProducts = dataLayer[0].ecomm_prodid_larg_arr;
	}

	dataLayer.push({

		"event": "checkout",
		  "ecommerce": {
			"checkout": {
				"products": FlotCartProducts
			}
		}
	});

	//reSubmit the Form..
	$('.paypal-express-frm').unbind('submit').submit();
});

var wishlist_show_popup_flag = true;

$(document).on('click', '.wish-list-btn', function(e){
	var id 		 	= $(this).attr('rel');
	var add_flag 	= '';
	var image_path 	= 'https://cdn.onecklace.com/images/mobile/';
	
	if($(this).hasClass('wishlist-heart')){
		$(this).removeClass('wishlist-heart').addClass('wishlist-heart-on');
		add_flag = true;
	}
	else{
		$(this).addClass('wishlist-heart').removeClass('wishlist-heart-on');
		add_flag = false;
	}


	dataLayer.push({"event": "wishlistBtnClick","wishlistProductID": id});
	
	var wish_list = readCookie('owl');

	//show wishlist popup once
	if(wish_list === null){
		wishlist_show_popup_flag = false;
		var x 			= $(this).offset();
		var offset_left	= x.left - 950
		var offset_top	= x.top - 685

		if(isMobile()){
			offset_left = 0;
			if(x.top < 300){
				offset_top = x.top - 100;
			}
			else{
				offset_top = x.top - 305;
			}
		}
		else if(x.left < 800){
			offset_left = offset_left + 435;
		}

		$('#wishlist-offer').css({'left' : offset_left,'top' : offset_top,});
		$('#wishlist-offer').fadeIn('slow');
	}

	if(wish_list){

		wish_list 		= atob(wish_list);
		var wish_list_arr 	= wish_list.split(",");

		if(add_flag){
			wish_list_arr.push(id);
			
			//add to user client
			$.ajax({
				url: "https://www.onecklace.com/functions/functions.php",
				type: "post",
				data: "product_id="+id+"&type=add_wishlist_product_to_user_client_products",
				success: function(data){},
				error:function(){}   
			}); 

			var uniqueNames = [];
			$.each(wish_list_arr, function(i, el){
				if($.inArray(el, uniqueNames) === -1) uniqueNames.push(el);
			});
			
			createCookie('owl', btoa(uniqueNames.join()), 30);
		}
		else{//remove wishlist product..
			var wish_list_product_left = removeA(wish_list_arr, id);
			createCookie('owl', btoa(wish_list_product_left), 30);

			if(wish_list_product_left.length == 0){
				$('.top-menu-wish-list-btn').attr('src',image_path + 'wishlist-heart-top-menu.png');
			}
			
			if($('.wishlist-product-container').length){
				$(this).parents('.product-cubes:first').fadeOut("slow");
	
				if(wish_list_product_left.length == 0){
					$('.wishlist-product-container').hide();
					$('.wishlist-product-container').html('<div>\
                                <img class="padding-top-30 margin-0-auto block" src="https://cdn.onecklace.com/images/shopping-cart/empty-wishlist.jpg">\
                            </div>\
                            <div class="fs40 margin-top-20 text-center purple">There is nothing in your Wishlist</div>');
					$('.wishlist-product-container').fadeIn("slow");

				}
			}
		}
	}
	else{
		createCookie('owl', btoa(id), 30);
		$('.top-menu-wish-list-btn').attr('src',image_path + 'wishlist-heart-top-menu-on.png');
	}
});	

//fix offset for Top banner
if($(window).width() <= 768 && $('.header-top-banner-continer').length){
	$('.mobile-header').css('top',($('.header-top-banner-continer').height())+ 'px');
	$('.load-mobile-model').css('top','110px');
	//$('.banners').css('margin-top','35px');
	
	$(window).scroll(function(){
		var ofset  = ($('.header-top-banner-continer').height()  - $(window).scrollTop() -1);
		
		if(isPositive(ofset)){
			$('.mobile-header').css('top',ofset+ 'px');
		}
		else{
			$('.mobile-header').css('top','0');
		}
	});
}

$(document).on('click', '.close-top-header-banner', function(e){
  e.preventDefault();
	var now = new Date();
	var time = now.getTime();
	time += 3600 * 1000;
	now.setTime(time);
	document.cookie = 
	'stp_off=1'  + 
	'; expires=' + now.toUTCString() + 
	'; path=/';
	
	$('.header-top-banner').fadeOut("slow")
	$('.backgrund-top-image').css("top","0px");
	$('.mobile-header').css('top','0');
});


/* instance FAQ */
$(document).on('click', '.fixed-faq-send-btn', function(){
	var email 	 = $('.send-question-continer .email').val();
	var question = $('.send-question-continer .question').val();
	var error	 = false;
	
	if(!isEmail(email)){
		$('.error-email-faq').show();
		error = true;
	}
	else{
		$('.error-email-faq').hide();
	}
	if(question == ''){
		$('.error-question-faq').show();
		error = true;
	}
	else{
		$('.error-question-faq').hide();
	}
	
	if(error)return false;

	$.ajax({
		url: "https://www.onecklace.com/functions/functions.php",
		type: "post",
		data: "email="+email+"&question="+question+"&type=email_custemer_service_from_fixed_faq",
		success: function(data){
			$('.fixed-faq-contents').html(data);
		},
		error:function(){}   
	});
});

$(document).on('click', '#fixed-faq-backdrop', function(){
	$(this).remove();
	$('.fixed-faq-contents-continer').hide();
	$('.fixed-faq-continer').removeClass('focus');
});


$("#fixed-faq-input").focus(function() {
  if(!isMobile())$(this).animate({ width: '300px' }); 
});


$('#fixed-faq-input').keyup(function(e) {
	var search_term = $(this).val();
	
	if(!$(".fixed-faq-contents-continer").is(":visible")){
		$('.fixed-faq-contents-continer').slideToggle();
	}

	$.ajax({
		url: "https://www.onecklace.com/functions/functions.php",
		type: "post",
		data: "search_term="+search_term+"&type=get_instance_faq&source=fixed_faq",
		success: function(data){
			$('.fixed-faq-contents').html(data);
		},
		error:function(){}   
	});
	
	$('.fixed-faq-continer').addClass('focus');
});

$(document).on('click', '.faq-icon2, .fixed-faq-symbol-mobile', function(){
	if(!$(".fixed-faq-contents-continer").is(":visible")){
		$('.fixed-faq-contents').html('<div class="margin-top-20 ajax-loder-on-add-to-cart-button"></div>');
		$('.fixed-faq-contents-continer').slideToggle();
		$('.fixed-faq-continer').toggleClass('focus');
		$('body').append('<div id="fixed-faq-backdrop"></div>');

		$.ajax({
			url: "https://www.onecklace.com/functions/functions.php",
			type: "post",
			data: "default_value=1&type=get_instance_faq&source=fixed_faq",
			success: function(data){
				$('.fixed-faq-contents').html(data);
			},
			error:function(){}   
		});
	}
	else{
		$('.fixed-faq-contents-continer').slideToggle();
		$('.fixed-faq-continer').toggleClass('focus');
		$('#fixed-faq-input').val('');
		$('#fixed-faq-backdrop').remove();

	}
});


$(document).on('click', '.close-fixed-faq-content-btn', function(){
	$('.fixed-faq-contents-continer').slideToggle();
	if(!isMobile())$("#fixed-faq-input").animate({ width: '195px' }); 
	$('.fixed-faq-continer').removeClass('focus');
	$('#fixed-faq-backdrop').remove();

});	

$(document).on('click', '.fixed-faq-line', function(){
	$(this).find('.fixed-faq-answer').slideToggle();
	$(this).find('.fixed-faq-arrow').toggleClass('fixed-faq-arrow-close')
});		 


$(document).on('change', '.product_file_upload', function() {

    if(this.files.length){
		   var this_element = $(this);
	       var fileType = this.files[0].type;
	       var fileSize = this.files[0].size;
	       
	       $(this_element).next().html('');
	       
	       if(fileType != 'image/jpeg' && fileType != 'image/png' &&  fileType != 'image/jpg' && fileType != 'image/gif' ){
	       		$(this_element).next().append( "file support: gif/png/jpg/jpeg. " );
	       }
	        if(fileSize > 5000000 ){
	       		$(this_element).next().append( "<br>file too big max 5MB " );
	       }
	       
	       var error = $(this_element).next().text()
	       $('.add-to-cart').removeClass('general-submit');
		  
		   if (error == ''){
		       	$(this_element).parent().find('.client-lodding-message').show();
		       
		        var file_data = this.files[0];   
			    var form_data = new FormData();                  
			
			    form_data.append('file', file_data); 
		       
	       
	           $.ajax({
	       			 url: "https://www.onecklace.com/functions/functions.php",
	          		dataType: 'text',   
	                cache: false,
	                contentType: false,
	                processData: false,
	                data: form_data,                         
	                type: 'post',
	                success: function(responseText){
	                	var tmp = responseText.split("###");

	                	if(tmp[0] =='1'){
	                	  
							$(this_element).parent().find('.client-lodding-message').hide();
	                	    $(this_element).parent().find('.client-pic').html('<img src="'+tmp[1]+'"  width="100px">');
							$(".client-pic img").hide();
							$(".client-pic img").load(function() {
								$(this_element).parent().height(`${$('.client-pic img').height()+10}px`); 
								$(".client-pic").addClass(`margin-top-5`);
								$(".client-pic img").show(); 
							});
	                	    $(this_element).parent().parent().parent().find('.file_uplode_src').val(tmp[1]);
	                	    $('.add-to-cart').addClass('general-submit');
	                	}
	                	else{
	                 		$(this_element).next().append(tmp[1]);
	                 		$(this_element).parent().find('.client-lodding-message').hide();
	                	}
	                },
			        error:function(){
			          location.reload();
			        }
			    });       
	      
	       }
       }
     
    });

$(document).on('click', '.product-review-btn', function(e){
	
	$('.product-discreption-line-content').hide();
	$(".product-discreption-line-content[rel='4']").fadeIn("slow");
		
	$('.product-discreption-line-title').removeClass('product-discreption-line-title-selected');
	$(".product-discreption-line-title[rel='4']").addClass('product-discreption-line-title-selected');
	
	if (window.innerWidth <= 768){
		$('.product-review-content.product-add-reviews').hide();
		$('.slimScrollDiv').show();
		$('#review-modal-sec').modal('show'); 
	}
	else{
		$('html, body').animate({  scrollTop: $(".product-description-continer").offset().top-50    }, 2000);
	}
});




$(document).on('click', '.star-rating span', function(){ 
	var rating 	= $(this).attr('rel');
	
	$('.add-raview-error').hide();
	$('.star-rating span').removeClass('star-rating-selectd');
	$('#rating_rank').val(rating);
		
	for(var i=0; i <= rating; i++){
		$(".star-rating span[rel="+i+"]").addClass('star-rating-selectd');
	}
});

var product_slider2;
$(document).on('click', '.quick-view-button', function(e){
	e.preventDefault();
	var id             = $(this).attr('rel');
	var material_path 		= ''
    var product_slider;
	
	//chack if client change material via '.category-choose-material-continer' - REMOVE IT (AND IF..) IF AB TEST FALSE.. 
	var attr = $(this).parents('.product-cube:first').find('.category-choose-material-continer').attr('rel');
	
	//AB TEST - GET MATERIAL
	if($(this).parents('.product-cube:first').hasClass('version-b-cube-flag')){
		material_path = '?material='+$(this).parents('.product-cube:first').attr('info');
	}
	
	if(chack_if_matrial_valid_and_return_name_if_valid(window.location.hash.substring(1))){
		material_path = '?material='+window.location.hash.substring(1);
	}
	
	if(typeof attr !== typeof undefined && attr !== false) {
		material_path = '?material='+attr;
	}

 
	//show laoder ....
    $('#quick-view-modal').modal('show');
	$('.bx-slider-product-img .product_image_1').attr('src' ,'https://cdn.onecklace.com/images/product/product-ajax-gif-loader.gif');
	
	$.ajax({
		url: "https://www.onecklace.com/functions/functions.php"+material_path,
		type: "post",
		data: "type=get-quick-view-content&id="+id,
		success: function(responseText){
			$('.quick-view-continer').html(responseText);
			
			$('[data-toggle="popover-product-info"]').popover({trigger: "click", placement : "bottom", html : "true" ,container: "body"});
		
			product_slider2 = $('.bxslider').bxSlider(bxslider_product_setting);
			
			var product_name  = $('.quick-view-continer ').find('.product-name').html();
			var product_price = Number($('#price_txt').html().replace(/[^0-9\.]+/g,""));
	
			//Inform Google Analytics For Product view:
			dataLayer.push({
				"ecommerce": {
					"detail": {
						"actionField": {"list": "product"},     
						"products": [{
						"name": product_name,         
						"id": get_product_id_for_criteo(id,$('#product_material').val(),''),
						"price":product_price,
						"brand":  {
									"@type": "Brand",
									"name": "oNecklace"
								  }
						}]
					}
				}
			});

			$('#add-product-frm').ajaxForm(addProductajaxFormContent());
			fixSpecificationDottedLine();
			lazyImage();
        },
		error:function(){
			location.reload();
		}
	});
});

$(document).on('click', '.close-mobile-search', function(){
	$('.mobile-search').fadeOut("slow")
});

$('.disable-a-link-btn').click(function(e) {
    e.preventDefault();
});

if($('#popup').length){
	var time_to_wait = 1500;
	var url = new URL(window.location.href);
	
	if(url.searchParams.get('friend_offer_code') !== null){
		time_to_wait = 100;
		var tomorrow = new Date(new Date().getTime() + (24 * 60 * 60 * 1000));

		StripCountDownDate('thank-you-offer-countdown',tomorrow);
	}
	

	$(window).load(function () {
		setTimeout(function(){ 
			//temp cookie to show popup for everybody
			createCookie('tmpq', 'p7d3MTJKEndNzCG', '1');

			$('#popup').modal('show');
			
			return false; 
		}, time_to_wait);
	});	

	function get_spin_wheel_name_by_key(spin_key){
		var obj = {
			FcSVcAauDlPRF:'3100',
			prXWcNygKjfAS:'3500',
			rJepRGSRNlgvT:'3900',
		}

		return obj[spin_key];
	}

	$(document).on('click', '#spin-the-wheel-btn', function(e){
		var img_path = $(this).attr('rel');

		createCookie('stwo', img_path, '1');//spin the wheel offer

		//$('.temp-product-loder-img.spin-modal').show();
		//$('#spin-the-wheel-banner').hide();

		$('#spin-the-wheel-banner').attr('src',`https://cdn.onecklace.com/images/home/popup/spining-wheel/${img_path}.gif`);
		$('#spin-the-wheel-banner').on('load', function(){
			
			$('#spin-the-wheel-banner').show();
			
			setTimeout(function(){ 
				$('#spin-the-wheel-banner').hide();
				$('#spin-the-wheel-banner').attr('src',`https://cdn.onecklace.com/images/home/popup/spining-wheel/win_${img_path}.gif`);
				$('#spin-the-wheel-banner').show();
				//$('.spin-success-message span').html(get_spin_wheel_name_by_key(img_path));
				$('.temp-product-loder-img, #spin-the-wheel-btn').hide();
				$('.spin-success-message').show();
			}, 3950 );
		});
	});
}

$(document).on('click', '.thank-you-popup .popup-btn,.i-don-wantdiscount-btn, .popup-thank-offer-code.shop-now-btn', function(){	
	$('#popup').modal('hide'); 
});


$(document).on('click', '.special-offer-area', function(){	
	window.location.href = $(this).attr('rel');;
});


var SubmitdPopup = function(){
	var email = $('#popup-input').val();
	var name  = $('#popup-name').val();
	var lang  = '';

    

	if(isEmail(email)){
		$(".popup-btn span").hide();
	    $(".popup-btn").addClass('ajax-loder-on-add-to-cart-button');
		var page = $('#page_url').val();

		$.ajax({
			url: "https://www.onecklace.com/functions/functions.php",
			type: "post",
			data: "type=submit_popup_email&email="+email+"&page="+page+"&lang="+lang+"&name="+name,
			
			success: function(responseText){
                $(".popup-btn span").show();
                $(".popup-btn").removeClass('ajax-loder-on-add-to-cart-button');

                if(responseText==1){
	            	$('.main-popup').hide();
	               	$('.thank-you-popup').fadeIn("slow");
				}
				else{
					$('#popup .error').html('This email address already exists').show();
				}
		    },
			error:function(){
				//location.reload();
			}   
		});
	}
	else{
		$('#popup .error').html('Please type a valid email address').show();
	}
}

	$(".popup-btn").click(SubmitdPopup)
	
	$('#popup-input').keydown(function(e) {
    	if (e.keyCode == 13) {
        	$(SubmitdPopup);
    	}
	});


if($(".shipping-price-fr").is(":visible")){
    $(".shipping-price-fr").each(function(){
       $(this).html(print_price_by_courrency_value($(this).html()));
    });
}

var general_sumbit_form = function(this_element){
	if($(this_element).parents('form:first').valid() == true){
		$(this_element).parents('form:first').submit();
	}
	else{
		if($('.error').length){
			if (iOS) {
				$('html, body', parent.document).animate({ scrollTop: ($(".error:visible").first().offset().top -90)}, 800);
			} else {
				$('html, body').animate({ scrollTop: ($(".error:visible").first().offset().top -90)}, 800);
			}
		}
	}
}

$(document).on('click', '.general-submit', function(){
	 $(general_sumbit_form($(this)));
});




$(document).on('change', '.change-language', function(){	
	var value = $(this).val();
	
	change_currency_fn(value);
});

$(document).on('click', '.currency-limit-width li', function(){	
	var value = $(this).attr('rel');

	change_currency_fn(value);
});

if ($(window).width() <= 768 && false){
	$(document).on('click', '.product-cube', function(e){
		if($(e.target).is('.cat-material')){
		   e.preventDefault();
           return false;
        };
	  	    
		var url = $(this).attr('rel');
		window.location.href = url;
	});
}

$(document).on('click', '.show-btn', function(){
	var info = $(this).attr('rel');
	var tmp  = info.split("###");
	
	if(tmp[1] == 'hide'){
		$(this).hide();
		$(tmp[0]).show();
	}
	else if(tmp[1] == 'toggle'){
		$(tmp[0]).toggle();
	}
	
});

$('[data-toggle="popover-header"]').popover({trigger: "click", placement : "bottom", html : "true"});



/* ------------------------------------------------------------ *\
	Float Shopping cart
\* ------------------------------------------------------------ */


$(document).on('click', '.float-shopping-cart-remove-product', function(){

	var tmp			  =	$(this).attr('id').split("###");
	var product_rand  = tmp[0];
	var product_name  = $(this).parent().parent().parent().find('.float-cart-product-name').html();
	var product_price = Number($(this).parent().parent().parent().find('.float-cart-price').html().replace(/[^0-9\.]+/g,""));
	
	$.ajax({
		url: "https://www.onecklace.com/functions/functions.php",
		type: "post",
		data: "type=remove_product&product_rand="+product_rand,
		success: function(responseText){
			update_header_cart();
			
            $('.float-shopping-cart-product-line-'+product_rand).fadeOut("slow");
            $('.float-shopping-cart-product-line-gift-'+product_rand).fadeOut("slow");         
          
        	
        	dataLayer.push({
			  'event': 'removeFromCart',
			  'ecommerce': {
			    'remove': {                               
			      'products': [{
			          'name': product_name,
			          'id': get_product_id_for_criteo(tmp[1],tmp[2],''),
			          'price': product_price,
			          'brand': 'oNecklace',
			          'quantity': 1
			      }]
			    }
			  }
			});

            if(responseText==0){
            	$('.shopping-cart-flot-cart').hide('slow');
			}    
	    },
		error:function(){
			//location.reload();
		}   
	});
});


$(document).on('click', '.shopping-cart-toggle', function(e){
	var count 		= $('#header-cart-count').html();
	var target2 	= $(e.target);    
	
	if(count != '0.00' && count != '0' && target2.parents('.shopping-cart-flot-cart').length == 0){
		$('.shopping-cart-flot-cart').slideToggle();
	}
	
});

$(document).on('click', '.float-shoping-cart-remove-gift', function(){
	var product_rand = $(this).attr('rel');
	
	$.ajax({
		url: "https://www.onecklace.com/functions/functions.php",
		type: "post",
		data: "type=remove_gift&product_rand="+product_rand,
		success: function(responseText){
            if ($(window).width() <= 768){
                window.location = 'https://www.onecklace.com/shopping-cart/';
                return false;
            }

			update_header_cart();
            $('.float-shopping-cart-product-line-gift-'+product_rand).fadeOut("slow");
	    },
		error:function(){
			location.reload();
		}   
	});
});

/* ------------------------------------------------------------ *\
	Tips
\* ------------------------------------------------------------ */
$('.roman-numeral-convert').click(function() {
	var roman_numeral_day 		= $('#roman_numeral_day').val();
	var roman_numeral_month 	= $('#roman_numeral_month').val();
	var roman_numeral_year 		= $('#roman_numeral_year').val();
	var roman_numeral_format 	= $('#roman_numeral_format').val();
	

	if(roman_numeral_format==1){
		var date = romanize(roman_numeral_month)+'.'+romanize(roman_numeral_day)+'.'+romanize(roman_numeral_year);
	}
	else if(roman_numeral_format==2){
		var date = romanize(roman_numeral_day)+'.'+romanize(roman_numeral_month)+'.'+romanize(roman_numeral_year);
	}
	
	$('#roman_numeral_date').val(date);
});

$(".reset-roman-inputs").bind("click", function() {
    $('#roman_numeral').val('');
    $('#decimal_numeral').val('');
    
});

$(".from-decimal-numeral-convert").bind("click", function() {
	var number = $('#decimal_numeral').val();
   $('#roman_numeral').val(romanize(number));
});

$(".from-roman-numeral-convert").bind("click", function() {
	var number = $('#roman_numeral').val();
   $('#decimal_numeral').val(fromRoman(number));   
});



/* ------------------------------------------------------------ *\
	Preview
\* ------------------------------------------------------------ */

var ShowPreviewFlag = true;
showPreview = function(source){ 			
	var font 		= $('.preview-selected').attr('id');
	var url 		= 'https://www.onecklace.com/'+$('.preview-selected').attr('rel')+'/'; 
	var text 		= $('#preview_name,.preview_name').val();
	var font_size 	= '80px';

	$('.preview-shop-now-btn').attr('href',url)
	$('.preview-result-continer').css('height', 'auto');
	
	$('.preview-result').show()
	
	if(source == 'product-page'){
		$('.input-text-error').html('');
		font_size = '40px';
		
		//effected ONLY on the alegro font!
		if(ShowPreviewFlag){
			ShowPreviewFlag = false;

			var junction_font = new FontFace('alegro', 'url(https://s3.amazonaws.com/onecklace/fonts/alegro/alegro.woff)');
			junction_font.load().then(function(loaded_face) {
				// loaded_face holds the loaded FontFace
			}).catch(function(error) {
				// error occurred
			});
		}
	}
	
	if(font=='alegro'){
		$('#preview_font').css("font-weight", "bold");
		$('#preview_font').css("font-size", font_size); 
		$('#preview_font').css("letter-spacing", "0px");
		text = capitaliseFirstLetter(text);
	}
	else if(font=='block-letter'){
		$('#preview_font').css("font-weight", "2");
		$('#preview_font').css("font-size", "80px");
		$('#preview_font').css("letter-spacing", "-12px");
		text = upperLetter(text);
	}
	else if(font=='curly-monogram'){
		$('#preview_font').css("font-weight", "bold");
		$('#preview_font').css("font-size", "110px");
		$('#preview_font').css("letter-spacing", "0px");
		text = lowerUpperLowerLetter(text);
	}
	else if(font=='monogram_capital_negative_2'){
		$('#preview_font').css("font-weight", "normal");
		$('#preview_font').css("font-size", "130px");
		$('#preview_font').css("letter-spacing", "0px");
		text = lowerFirstLetter(text);
		
	}
	else if(font=='monogram'){
		$('#preview_font').css("font-weight", "normal");
		$('#preview_font').css("font-size", "130px");
		$('#preview_font').css("letter-spacing", "-20px");
		text = lowerUpperLowerLetter(text);
		
	}
	else if(font=='harringt'){
		$('#preview_font').css("font-weight", "2");
		$('#preview_font').css("font-size", "80px");
		$('#preview_font').css("letter-spacing", "-6px");  
	}
	
	
	$('#preview_font').css('font-family', font);
	$('#preview_font').html(text);		 
}		
	

$(".preview-select").bind("click", function() {
    var type = $(this).attr('id');
	
	$('.preview-selected').removeClass('preview-selected');
	$(this).addClass('preview-selected');
 	
 	
  	if( $('#preview_name').val() != ''){
		showPreview();
 	}   
});
	
	
$("#preview_name").keyup(function(e) {
	if( $(this).val() != ''){
		showPreview();
	}
});


/*TO DO: AB TEST PREVIEW IN PRODUCT PAGE */
$(document).on('keyup', '.preview_name.active-preview', function(){
	if(!$("link[href='https://cdn.onecklace.com/css/fonts.css']").length){
    	$('<link href="https://cdn.onecklace.com/css/fonts.css" rel="stylesheet">').appendTo("head");
    }

    if($(this).val() != ''){
    	$('.preview-in-product-continer');
		showPreview('product-page');
    }
});






/* ------------------------------------------------------------ *\
	Tracking
\* ------------------------------------------------------------ */

var TrackYourOrder = function(){
	var tracking_email 	= $('#order_email_tracking').val();
	var tracking_id 	= $('#order_id_tracking').val();

	$('#track_order_frm').validate();

	if($('#track_order_frm').valid()){
		$.ajax({
			url: "https://www.onecklace.com/functions/functions.php",
			type: "post",
			data: "type=get_tracking_exist&tracking_email="+tracking_email+"&tracking_id="+tracking_id,
			success: function(responseText){

				if(responseText=='2'){
					$('.tracking_notify').show();
					$('.tracking_notify').html("We can\'t locate that order. Please check the details in the confirmation email that you received from us and try again.");
				}
				else if(responseText=='3'){
					$('.tracking_notify').show();
					$('.tracking_notify').html("Your order has not been shipped yet.");
				}
				else if(responseText=='1' ){
					var tracking_id_spl = tracking_id.split("-");

					if(tracking_id_spl.length>1){
						tracking_id = tracking_id_spl[1];
					}
					else{
						tracking_id = tracking_id_spl[0];
					}

					window.location = 'https://www.onecklace.com/tracking/'+tracking_email+'/'+tracking_id+'/';
				}
		    },
			error:function(){
			}
		});
	}
}

$(document).on('click', '.catagory-desc-fold-unfold', function(e){

  var btnText = $(this);
  if ($("#catagory-dots").hasClass("display-none")) {
		$("#catagory-more").fadeOut(50);
		$("#catagory-dots").fadeIn(50);
		$("#catagory-dots").removeClass("display-none");
		btnText.text("Read More");
  } else {
		
		$("#catagory-dots").fadeOut(50);
		$("#catagory-more").fadeIn(1050);
		$("#catagory-dots").addClass("display-none");
		btnText.text("Read Less");
  }
});

$(".track_order").click(TrackYourOrder)

if($(".track_order").length == 1){
    $('input').keydown(function(e) {
        if (e.keyCode == 13) {
          $(TrackYourOrder);
        }
    });
}

//fit tracking history line there is a dynamic data
if($('.tracking-history-line.current').length)$('.tracking-history-line.current').css('height',$('.tracking-current-row-continer').height());

/* ------------------------------------------------------------ *\
	Product
\* ------------------------------------------------------------ */
fixSpecificationDottedLine();

$(document).on('click', '.show-product-description', function(){
	$('.product-description-part-2').toggleClass('display-none');
	$('.show-product-description.show-more').toggleClass('display-none');
	$('.show-product-description.show-less').toggleClass('display-none');
});
$(document).on('click', '.js-page-num-of-product-reviews', function(){

	if($(this).hasClass('bold')){
		return;
	}else{
		//$('.js-page-num-of-product-reviews').attr('disabled',true);
		const pageNumber = $(this).attr('rel');
		$(this).addClass('bold');
		$(this).addClass('fs20');
		$(this).siblings().addClass('display-none');
		$(this).next().removeClass('display-none');
		$(this).next().next().removeClass('display-none');
		$(this).prev().removeClass('display-none');
		$(this).siblings().removeClass('bold fs20');
		$(this).siblings().removeClass('fs20');
		const product_id = $('#product-reviews-paging-section').attr('rel');
		$.ajax({
			url: "https://www.onecklace.com/functions/functions.php",
			type: "post",
			data: `type=get-product-reviews-by-page&product_id=${product_id}&page_num=${pageNumber}`,
			success: function(htmleResponse){
				//$('.js-page-num-of-product-reviews').removeAttr('disabled');
				$('#product-reviews-container').html(htmleResponse);
			},
			error:function(){
				$('.other-necklaces-and-bracelets-chain-style-text').html('');
			}   
		});

	}
});

// //loading form webp to jpeg test
// $('.product_image_1').one('swipe',function(){
// 	$('.pro-bxslider-lazy-load').each(function(e){
// 		$(this).removeClass('display-none');
// 	});
// });

$(document).on('click', '.product-size-and-material-tab-change-side-image', function(){
	const new_image_path = $(this).attr('path');
	const modal_title	 = $(this).attr('title');
	$(`#product-size-and-material-tab-image`).attr('src',new_image_path);
	$(`#product-size-and-material-tab-image`).attr('title',modal_title);
});

$(document).on('click', '.product-preview-btn', function(){
	$('.input-text-error').html('');

	if($('.preview_name').val() == ''){
		$('.preview-in-product-continer').hide();
		$('.input-text-error').html('Please write name / word to see the preview');
	}
	else{
		$('.preview-in-product-continer').toggle();
	}
});

//Load other chains styles for necklace_other/bracelets_other  
if($('.other-necklaces-and-bracelets-chain-style-text').length ){
	const style_id = $('.other-necklaces-and-bracelets-chain-style-text').attr('rel');
	const other_style_text = $('.other-necklaces-and-bracelets-chain-style-text').html();
	if(other_style_text.trim() ==''){
		$.ajax({
			url: "https://www.onecklace.com/functions/functions.php",
			type: "post",
			data: `type=get-other-product-chain-style-text&style_id=${style_id}`,
			success: function(data){
				$('.other-necklaces-and-bracelets-chain-style-text').html(data);
			},
			error:function(){
				$('.other-necklaces-and-bracelets-chain-style-text').html('');
			}   
		});
	}
}

//TODO: add recently viewd
if($('.product-you-might-like-continer').length){
		setTimeout(function() {
			var YouMightLikeFlag = true;
				
			$(window).scroll(function(){
				if(YouMightLikeFlag && $(window).scrollTop() > 300){
					YouMightLikeFlag = false;
					var product_id 	 = $('.product-you-might-like-continer').attr('rel');

					// $.ajax({
					// url: "https://www.onecklace.com/functions/functions.php",
					// type: "post",
					// data: "product_id="+product_id+"&type=get-recently-viewd-products",
					// success: function(data){
					// 	$('.product-recently-viewed-products').html(data);
					// 	lazyImage();
					// },
					// error:function(){}   
					// });

					$.ajax({
					url: "https://www.onecklace.com/functions/functions.php",
					type: "post",
					data: "type=get-shipping-info",
					success: function(data){
						$('#shipping-by-country-info').html(data);
					},
					error:function(){}   
					});
					
					if(!if_its_wholesale()){
						$.ajax({
						url: "https://www.onecklace.com/functions/functions.php",
						type: "post",
						data: "product_id="+product_id+"&type=get-faq-product-page",
						success: function(data){
							$('.faq-contents').html(data);
						},
						error:function(){}   
						});
					}

				}
			});
	}, 500);
}
	

//fix description line height
if($('.product-discreption-line-title-rest').length){
	setTimeout(function() {
		var ofset = ($('.product-description-continer').height() - 203);
		$('.product-discreption-line-title-rest').css('height',ofset+'px');
	}, 500);
}

//if there is an monogram input..
if($('.monogram_input').length){
	$('.monogram_input').attr('data-rule-monogramCheck',true);
	$('.monogram_input').attr('data-rule-monogramCheck1',true);

	$.validator.addMethod("monogramCheck", function(value, element) {
		var el_lenght = value.length;
	   	return el_lenght == 3;
	}, "Please write 3 initials");
	
	$.validator.addMethod("monogramCheck1", function(value, element) {
		patt = value.match(/[a-zA-Z]+/g);
		if(patt !== null)patt = patt.toString();

	   	return patt == value;
	}, "No numbers, accents or special characters (&, %, etc)");
	
	$('.monogram_input').keyup(function(e) {
		var value 	= $(this).val();
		
		if(value !== null && value !== '')$(this).valid();
	});
}
//if there is an monogram input..
if($('.max_length_input').length){
	$('.max_length_input').attr('data-rule-maxLenCheck',true);
	$('.max_length_input').attr('data-rule-maxLenCheck1',true);
	
	$.validator.addMethod("maxLenCheck", function(value, element) {
		var el_lenght = value.length;

	   	return el_lenght <= 4;
	}, "Input should be no longer than 4 digits ");

	$.validator.addMethod("maxLenCheck1", function(value, element) {
		var patt = value.match(/^\d+$/) ;
		if(patt !== null)patt = patt.toString();

	   	return patt == value;
	   
	}, "Input should contain digits only ");
	
	$('.max_length_input').keyup(function(e) {
		var value 	= $(this).val();
		
		if(value !== null && value !== '')$(this).valid();
	});
}


/*product FAQ */
$('#faq-input').keyup(function(e) {
	var search_term = $(this).val();

	$.ajax({
		url: "https://www.onecklace.com/functions/functions.php",
		type: "post",
		data: "search_term="+search_term+"&type=get_faq&source=product",
		success: function(data){
			$('.faq-contents').html(data);
		},
		error:function(){}   
	});
});

$(document).on('click', '.faq-question', function(){
	$(this).next().slideToggle();
	$(this).find('.fixed-faq-arrow').toggleClass('faq-arrow-close')
});		 


$('.open_limit_double_thickness').change(function() {
	var input_text = $(this).parents('.personalize-1:first').find('.input-text');
	
	if($(this).is(":checked")){
		$('#double_thickness').prop("checked", true);
		$(input_text).attr('maxlength' ,'20')
	}
	else{
		$('#double_thickness').prop("checked", false);
		$(input_text).attr('maxlength' ,'10')
		$(input_text).val($(input_text).val().substring(0,10))
	}
});

$('#double_thickness').change(function() {
	var input_text = $('.open_limit_double_thickness').parents('.personalize-1:first').find('.input-text');
	
	if($(this).is(":checked")){
		$('.open_limit_double_thickness').prop("checked", true);
		$(input_text).attr('maxlength' ,'20')
	}
	else{
		$('.open_limit_double_thickness').prop("checked", false);
		$(input_text).attr('maxlength' ,'10')
		$(input_text).val($(input_text).val().substring(0,10))
	}
});
	
$(".input-text").keyup(function(e) {
	var attr = $(this).attr('maxlength');
	
	if (typeof attr !== typeof undefined && attr !== false) { 
	    if($(this).val().length == 10){
	    	$('.open_limit_double_thickness').val($('#double_thickness').val());
	    	$('.input-limit-gold-checkbox-continer .dubble-thickness-value').html($('.double-thickness-continer2 .dubble-thickness-value').html());

	    	$(this).parents('.personalize-1:first').find('.limit-characters-error').html('10 characters maximum for pendant. If more characters are required please select double thickness');
	    	// $('.double-thickness-continer2').addClass('display-none');
	    	$(this).parents('.personalize-1:first').find('.limit-characters-error').fadeIn("slow");
	    	// $(this).parents('.personalize-1:first').find('.input-limit-gold-checkbox-continer').fadeIn("slow");	
	    }
	}
});

$(document).on('click', '.double-thickness-learn-more,.double-thickness-continer .icon-info', function(){ 
	$('.popover-double-thickness').slideToggle();
});

function changeUrlStateCatPages(pageNumber){
	let currentLocation = window.location.href;
	let catUrl =  currentLocation.split('page-')[0];
	window.history.pushState("", 'Title',$('#load-more-category-products').attr('href'));
	$('#load-more-category-products').attr('href',catUrl + 'page-' + pageNumber + '/');	
}

function attachAppJsonItemList(itemList){
	const appScript = document.getElementById("category-schema");
	let appJson = JSON.parse(appScript.firstChild.nodeValue)
	appJson.itemListElement = [].concat(appJson.itemListElement,itemList);
	appScript.firstChild.nodeValue = JSON.stringify(appJson);
}

function getLastItemListOnSchema(){
	const appScript = document.getElementById("category-schema");
	let appJson = JSON.parse(appScript.firstChild.nodeValue);
	return appJson.itemListElement.length;
}

function loadMoreItemsOnCategoryPage(){
	var value  		 = $('.sort-category').val();
				var tmp  		 = $('.infinity-scroll').attr('rel').split("###"); //this
				var current_page = $('.infinity-scroll').attr('info'); //this
				var pages_count  = parseInt(tmp[1]);

				if(current_page < pages_count){
					var tmp  = value.split("##"); 
					tmp[1] = current_page++;
					var value = tmp.join("##");
					
					//insert loader and hide 
					$('.product-cubes-p').append('<img class="infinity-scroll-loader block margin-0-auto" \
					src="https://cdn.onecklace.com/images/category/category-loader.svg" alt="ajax loader" >');
					
					pageToLoad = current_page;
					let lastItemListOnSchema = getLastItemListOnSchema();
					$.ajax({
						url: "https://www.onecklace.com/functions/functions.php"+read_filter_for_ajax(),
						type: "post",
						data: "type=sort-category&value="+value+"&pageToLoad="+pageToLoad+"&lastItemListSchema="+lastItemListOnSchema,
						success: function(responseText){
							let res = JSON.parse(responseText);
							let item_list = (JSON.parse(res['item_list']));

							
							$('.infinity-scroll-loader').remove();
							
							$('.product-cubes-p').append(res.html);
							$(".infinity-scroll").attr('info', current_page);
							
							if(current_page >= pages_count){
								print_releted_categorie_product(value,'view-more');
							} 
							if(item_list != ""){attachAppJsonItemList(item_list);}
							// changeUrlStateCatPages(pageToLoad + 1); -- off currently
							triger = false;
						},
						error:function(){location.reload();}   
					});
				}
				if(current_page >= pages_count){$('#load-more-category-products').hide();}
}



$('#load-more-category-products').click(function(e){
	e.preventDefault();
	loadMoreItemsOnCategoryPage();
});

$(window).scroll(function(){
	
	
	if($('.infinity-scroll').length){

		//call infinity scroll
		if ($(window).scrollTop() + $(window).height() >= 
			$('.product-cubes-p').offset().top + $('.product-cubes-p').height() ) { 
				var scroll = $(window).scrollTop();
				lastScrollTop = scroll;
			if(triger == false && 
				$(window).scrollTop() + $(window).height() >= $('.product-cubes-p').offset().top + $('.product-cubes-p').height() -200){
					triger = true;
					loadMoreItemsOnCategoryPage();
				}
		} 
	}
});

// -------------
$('.chain-length-select').click(function(){
	let val = $(this).attr('select-val');
	let selectID =  $(this).attr('rel');
	$(`#${selectID}`).val(`${val}`);
	$(`.${selectID}-options`).removeClass('selected-chain-length-img');
	$(this).addClass('selected-chain-length-img');
});

$(document).on('mouseover', '.flex-vertical-product .bx-wrapper', function(){
    $('.flex-vertical-product .bx-controls-direction').css('opacity','1')
});

$(document).on('mouseleave', '.flex-vertical-product .bx-wrapper', function(){
    $('.flex-vertical-product .bx-controls-direction').css('opacity','0')
});

		
function add_product_to_recently_viewed_products(){
	var id			  = $("input[name='product_id']").val();
	if(id != ''){
		var rect_prod = readCookie('rect_prod');
		
		if(rect_prod !== null){
			var obj 	= decodeURIComponent(readCookie('rect_prod')).split(","); 
			obj 		= obj.filter(Boolean)
						
			if(obj.indexOf(id) == -1){			
				if(obj.unshift(id) > 10){
					obj.pop();
				}
				createCookie('rect_prod', encodeURI(obj), 30)		
			}else{
				
			    var index = obj.indexOf(id);
				if(index != 0){
					obj.splice(index, 1);
				
					if(obj.unshift(id) > 10){
						obj.pop();
					}
					
					createCookie('rect_prod', encodeURI(obj), 30)		
				}
			}
		}
		else{
			createCookie('rect_prod', encodeURI([id]), 30)		
		}
	}
}
add_product_to_recently_viewed_products();


$(document).on('click', '.mobile-show-review-modal-btn', function(){ 
	$('.product-review-content.product-add-reviews').hide();
	$('.slimScrollDiv').show();
	
	$('#review-modal-sec').modal('show'); 
});

$(document).on('click', '.submit-review-btn,.mobile-secend-submit-a-review', function(){ 
	$('.product-review-content.product-add-reviews').show();
	$('.slimScrollDiv').hide();
	
	$('#review-modal-sec').modal('show'); 
});


$('#add-review-frm-sec').ajaxForm({
	beforeSubmit: function ShowRequest(formData, jqForm, options){
		if($('#rating_rank').val() == ''){
			$('.add-raview-error').show();
			return false;
		}
		
		var queryString = $.param(formData);                  	
		return true;
	},
	success: function SubmitSuccesful(responseText, statusText){
		$('.review-success').show();
		$('#add-review-frm-sec').hide();
		
		if($(window).width() <= 768){
			setTimeout(function() {
				$('.slimScrollDiv').show();
				$('.modal').modal('hide');
			}, 2000);
		}        	
		
	},
	error: function AjaxError(){
		//location.reload();
	}
});


$(document).on('click', '.product-add-review-close-btn', function(){ 
    if ($(window).width() <= 768){
   		$('.modal').modal('hide');
	}
	else{
		$('.product-add-reviews').hide();
		$('.product-show-reviews').fadeIn("slow");	
	}
});

$(document).on('click', '.product-add-review-btn', function(){ 
	$('.product-add-reviews').fadeIn("slow");
	$('.product-show-reviews').hide();
});
	
$(document).on('click', '.submit-review-btn', function(){ 
	if($('.mobile-product-review-content-continer').length){
		$('.slimScrollDiv').hide();
	}
});
	
$(document).on('click', '.product-discreption-line-title', function(){ 
	var page 	= $(this).attr('rel');

	$('.product-discreption-line-content').hide();
	$(".product-discreption-line-content[rel="+page+"]").fadeIn("slow");
		
	$('.product-discreption-line-title').removeClass('product-discreption-line-title-selected');
	$(this).addClass('product-discreption-line-title-selected');
		
});


function change_product_matirial_in_product_page(data){
	var tmp_data		= data.split("###");
	var prdouct_id		= tmp_data[0];
	var matirial		= tmp_data[1];
	var tmp_title		= $('h1').html().split($('.product-selected-material').html());
	var product_type	= tmp_data[3];
	var other_chains_id	= tmp_data[4];

		$('.bxslider li').css({"display": "none","z-index": "0"});
		$('.product_image_1').hide();
		$('.product_image_1').parent().append('<img class="temp-product-loder-img" src="https://cdn.onecklace.com/images/logos/loader_logo.webp">');
		$('.product_image_1').parent('li').css({"display": "block","z-index": "50"});
	    $.ajax({
        url: "https://www.onecklace.com/functions/functions.php",
        type: "post",
        data: "type=get_product_prices_by_material&data="+data,
        success: function(responseText){

        	obj = JSON.parse(responseText);
			$('.bx-slider-product-img').remove();

				var material_path	 = get_path_from_material(matirial,'');
				var bx_tmp 			 = ''
				var bx_tmp2 		 = ''

			for(var i=1; i <= obj.pic_count; i++){
				var bx_tmp  = bx_tmp+'<li class="bx-slider-product-img"><img class="product_image_'+i+'" src="https://cdn.onecklace.com/products/'+prdouct_id+'/'+material_path+'product_'+prdouct_id+'_'+i+'_'+pic_size()+'.jpeg"></li>';
				var bx_tmp2 = bx_tmp2+'<a class="bx-slider-product-img" data-slide-index="'+i+'"><img src="https://cdn.onecklace.com/products/'+prdouct_id+'/'+material_path+'product_'+prdouct_id+'_'+i+'_225.jpeg" width="80px" height="80px" alt="Sterling Silver Butterfly Pendant with Name - Thumbnail 4" class="img-thumbnail"></a>';
			}

			$('.bxslider').prepend(bx_tmp);
			$('#bx-pager').prepend(bx_tmp2);


            if(product_slider.length == 0 ){
                product_slider2.reloadSlider(bxslider_product_setting);
            }
            else{
                product_slider.reloadSlider(bxslider_product_setting);
            }

			$('.temp-product-loder-img').remove();
			$('.product_image_1').fadeIn("slow");


			$("#bx-pager a").each(function(key, value) {
			 	 $(this).attr('data-slide-index', key);
			});

			
			$('.product-chain').attr('src',obj.chain_type_img.url).attr('alt',obj.chain_type_img.alt);
			$('.product-chain-small').attr('src',obj.chain_type_img_small.url).attr('alt',obj.chain_type_img_small.alt);
			$('#chain-style-size-and-material').attr('path',obj.chain_type_img.url);
			if($('#chain-style-size-and-material').hasClass('sprite-image-marked') && $('#product-size-and-material-tab-image').length){
				$('#product-size-and-material-tab-image').attr('src',obj.chain_type_img.url);
				$('#product-size-and-material-tab-image').attr('alt',obj.chain_type_img.alt);
			}

        	if ($(window).width() <= 768){
				$('.choose-chain-style').html(obj.chain_style_html);
				$('.choose-chain-length').html(obj.chain_length_html);

				updateChainStyleIdInInput($('.choose-chain-style').find("option:first-child"));
			}
			else{
				//work on: chain style and chain length:
				$('.choose-option-chain-style .choose-option-element').remove();
				$('.choose-option-chain-style').prepend(obj.chain_style_html);

				$('.choose-option-chain-length .choose-option-element').remove();
				$('.choose-option-chain-length').prepend(obj.chain_length_html);
				$('.choose-chain-length').html(obj.chain_length_html);
				$('.choose-option-chain-length .choose-option-element').removeClass('choose-option-element-selected');
				
				//update desktop chain length
				var selected_chain_length = $('.choose-option-chain-length .choose-option-element[rel="'+chain_length_defult_value(product_type)+'"]');
				var el_text 			  = $(selected_chain_length).find('.chain-length-popover').html();
				$(selected_chain_length).addClass('choose-option-element-selected');
				$(selected_chain_length).closest('.form-group').find('.new-choose-option-selected-text').html(el_text).fadeIn("slow");
				$('.choose-option-chain-length input').val(chain_length_defult_value(product_type));

				
				//update desktop chain style
				var selected_chain_style  = $('.choose-option-chain-style .choose-option-element').first();
				var el_text 			  = $(selected_chain_style).find('.chain-length-popover').html();
				$(selected_chain_style).addClass('choose-option-element-selected');
				$(selected_chain_style).closest('.form-group').find('.new-choose-option-selected-text').html(el_text).fadeIn("slow");
				$('.choose-option-chain-style input').val($('.choose-option-chain-style .choose-option-element').first().attr('rel'));
				updateChainStyleIdInInput($('.choose-option-chain-style .choose-option-element').first());
			}


			$('.product-guarantee-line img').attr('src','https://cdn.onecklace.com/images/product/'+get_path_from_material(matirial,'product-guarantee')+'.png')
			$('.product-chain-length-img-small').attr('src','https://cdn.onecklace.com/images/product/'+get_path_from_material(matirial,'product-chain-length')+'-50.jpg')
			$('.product-chain-length-img').attr('src','https://cdn.onecklace.com/images/product/'+get_path_from_material(matirial,'product-chain-length')+'_730.jpg')

			$('.load-prdocut-material-btn').parent().removeClass('product-material-selected');
			$('.product-material_'+matirial).parent().addClass('product-material-selected');
			
			$('.product-selected-material').html(tmp_data[2]);
			$('.product-selected-material').attr('rel',matirial);
			$('#product_material').val(matirial);

			$('.product-thickness').html(obj.thickness)
			$('.chain-style-name-text').html(obj.chain_style_name_text);
			$('.chain-length-name-text').html(obj.chain_length_name_text);

			if(tmp_title.length == 2){
				$('h1').html(tmp_data[2]+tmp_title[1]);
			}

			if(obj.select_option_flag == '1'){

				var $el = $(".price-select");
				$el.empty();

				$.each(obj.select_info, function(key,value) {
					var tmp			 = value.split("###");
					var option_price = tmp[1].split("&&");

					//$('.sub-title').html(print_currency_sign(option_price[0]));
				    $el.append($("<option></option>")
				     .attr("value", key).html(tmp[0]+' - '+print_currency_sign(option_price[0])).attr('rel', tmp[1]).attr('pic-id', option_price[2])
				     );
				});

				$('.price-select').val(obj.selected_default-1).change();
			}

			$("#price_txt").html(obj.sale_price);
			$(".wholesale_price_txt").html(print_currency_sign(obj.price));
			$(".product-price-big-wholesale").html(obj.sale_price);
			$("#regular-price-txt").html(print_currency_sign(obj.price));
			
			var save_price = obj.price - obj.sale_price;
			save_price = save_price.toFixed(2);
			var save_p = parseInt((save_price/obj.price)*100);
			
			$("#save-txt-green-mobile").html('You Save ' + print_currency_sign(save_price) +' ('+save_p+'%)');
			$("#save-price-txt").html('You Save '+print_currency_sign(save_price));
			$("#save-p-txt").html('('+save_p+'% off)');
			
			if($_GET('term') == null){
				window.history.pushState(null, null, '?material='+matirial );
			}
			
			$('#double_thickness_name_and_chain_value').html(print_currency_sign(obj.double_thickness_charge_by_material));

			//update double thickness price
			if($('#wholesaler_flag').length > 0){
				var num = (40/100*obj.sale_price);
				// var num = Number(obj.double_thickness_charge_by_material);
				num     = num.toFixed(2);
				$('#double_thickness').val(num);
				$('.dubble-thickness-value').html(print_currency_sign(num));
			}
         	
         					var google_tag_params = {
					ecomm_prodid: prdouct_id+'_'+get_path_from_material(matirial,'get-id-path'),
					ecomm_pagetype: "product",
					ecomm_totalvalue: obj.sale_price
				};
	
			    	
         	
			//clasp area
			var claps_class_arr = ['clasp-spring-ring-','clasp-lobster-'];

			$(".choose-option-lobster-clasp .choose-option-element .float-left").each(function(key, value) {
				$(value).removeClassExcept("float-left "+ claps_class_arr[key]+matirial);
			});

			//Disable lobster & personalized tag When it's an Gold Mateial
			if(matirial == 'gold' || matirial == 'white_gold'){
				print_limit_characters_html(1);
				///Double thickness Updates
				$('#double_thickness_name_and_chain_text').html(`Double Thickness Name & Chain`);
				$('#double_thickness_name_and_chain_modal').attr('data-modal-title',`Double Thickness Name & Chain`);
				$('#double_thickness_name_and_chain_modal').attr('data-content',`Upgrade your necklace to Double thickness.
Your pendant will be made with a thickness of 0.8mm instead of our regular 0.4mm thickness.
Your chain will have a weight of 2g and be 1mm wide instead of our usual 1g chain which is 0.5mm wide.`);
				$('#double_thickness_name_and_chain_modal').attr('data-img-path',`double-thickness-name-and-chain`);
				
				//remove lobster clasp seelect option
				var step_count = $('.product-step-number').length
				$('#lobster_clasp').val("")
				$('.lobster-clasp-select-continer').addClass('display-none');
				$('.lobster-clasp-select-continer.add-gift-card-container').removeClass('display-none');

				//remove personalized tag
				var step_count = $('.product-step-number').length
				$('#personalized-tag-clasp').prop('checked', false); 
				$( "#personalized-tag-clasp-container" ).fadeOut( "slow");

				$('.product-thickness-text').html('0.4mm / 0.02″');
				if ($('.product-thickness-text').hasClass('double-thickness')){
					$('.product-thickness-text').html('0.8mm / 0.03″');
				}
				$('.extra-personal-tag-container').addClass('display-none');

			}
			else{
				//show regular metrials options
				$('#back-engraving-div-container').removeClass('display-none');
				$('.extra-personal-tag-container').removeClass('display-none');
				print_limit_characters_html(0);
				///Double thickness Updates
				$('#double_thickness_name_and_chain_text').html(`Double Thickness`);
				$('#double_thickness_name_and_chain_modal').attr('data-modal-title',`Double Thickness`);
				$('#double_thickness_name_and_chain_modal').attr('data-content',`Double Thickness Pendant : 1.2mm Thickness instead of 0.7mm `);
				$('#double_thickness_name_and_chain_modal').attr('data-img-path',`double-thickness-pendant-in-silver`);

				$('.lobster-clasp-select-continer').removeClass('display-none');
				$('.personalized-tag-label').parent().removeClass('display-none');
				$('.product-thickness-text').html('0.7mm / 0.03″');
				if ($('.product-thickness-text').hasClass('double-thickness')){
					$('.product-thickness-text').html('1.2mm / 0.04″');
				}
			}

			fixSpecificationDottedLine();
    },
        error:function(){
             location.reload();
        }
    });
}



if(window.location.hash != ''){
	if($('.product-selected-material').attr('rel')){
		var material	  = window.location.hash.substring(1);
		var material_name = chack_if_matrial_valid_and_return_name_if_valid(material);
		var id			  = $("input[name='product_id']").val();
		var product_type  = $("input[name='product_type']").val();
		if(material_name){
			$('.main-material-img img').attr('src' ,'https://cdn.onecklace.com/images/product/product-ajax-gif-loader.gif');
			$(window).bind("load", function() {
				change_product_matirial_in_product_page(id+'###'+material+'###'+material_name+'###'+product_type);
				$('.main-material-img img').attr('src' ,'https://cdn.onecklace.com/products/'+id+'/product_'+id+'_main_material_'+pic_size()+'.jpeg');
			});
		}
	}
}


$(document).on('change', '.form-control.choose-chain-style', function(){
	updateChainStyleIdInInput($(this).find('option:selected')
)});


$(document).on('click', '.lobster-clasp-image', function(){
	$('#upgrade_to_lobster_input').click();
});


$(document).on('change', '#upgrade_to_lobster_input', function(event){
	if($(this).prop('checked')){
		$('#lobster_clasp').val(1);
	}else{
		$('#lobster_clasp').val(0);
	}
});

$(document).on('click', '.choose-option-element', function(){
	var type 		= $(this).attr('rel');
	var el_text 	= '';
	var input_val 	= '';

	$(this).parent().find('.choose-option-element-selected').removeClass('choose-option-element-selected');
	if($(this).attr('id') != 'upgrade_to_lobster_input'){
		$(this).addClass('choose-option-element-selected');
	}

	if($(this).parents('.new-choose-option-continer:first').hasClass('choose-option-chain-length')){//it's chain length..
		el_text 	= $(this).find('.chain-length-popover').html();
		input_val 	= $(this).find('.chain-length-size').html();
		input_val = input_val.replace(/"\s*$/, '');
	}
	else if($(this).attr('type') == 'choose-clasp'){
		el_text 	= $(this).attr('info');
		input_val 	= el_text;
		$('#lobster_clasp').val(type);
	}
	else if($(this).attr('type') == 'personalized-tag'){
		el_text 	= $(this).attr('info');
		input_val 	= el_text;
		$('#lobster_clasp').val(type);
	}
	else{
		el_text 	= type;
		input_val 	= el_text;
	}

	updateChainStyleIdInInput(this);
	
	//Change bxslider main image to chain one  
	if($(this).parents('.new-choose-option-continer').is('.choose-option-chain-style, .choose-option-lobster-clasp')){

		window.product_slider.goToSlide($('.product-chain-length-img').parent().index()-1);
	}

	
	$(this).parents('.new-choose-option-continer:first').find('input').val(input_val);
	
	$(this).closest('.form-group').find('.new-choose-option-selected-text').hide();
	$(this).closest('.form-group').find('.new-choose-option-selected-text').html(el_text).fadeIn("slow");
});

$(document).on('click', '.load-prdocut-material-btn', function(){
	if(!$(this).hasClass('product-material-selected')){
		change_product_matirial_in_product_page($(this).attr('rel'));
	}
});

//setting max height for scrolling
$('.product-description-scroll').css('max-height',Math.min($('.product-description-continer').height()-20,250));
	
$(document).on('click', '#birthstone_beads', function(){ 
	if($('#birthstone_beads').is(":checked")){
		$("#birthstone_beads_area").fadeIn("slow");
		$("#product_birthstone_charm_0").prop('required',true);
		$("#product_birthstone_charm_1").prop('required',true);
	}
	else{
		 $("#product_birthstone_charm_0").prop('required',false);
		 $("#product_birthstone_charm_1").prop('required',false);
		 $("#birthstone_beads_area").fadeOut("slow");
	}
});

$(document).on('click', '.client-pic', function(){ 
    $('#instagram-in-product-modal .main-image').attr('src',$(this).find('img')[0].src);	
    $('#instagram-in-product-modal').modal('show');
});
    
$('.product-toggle-info-new').click(function() {
	$(this).find('i').toggleClass('footer-close');
	$(this).find('i').toggleClass('footer-open');
	
	$(this).next('div').slideToggle();
});

$('#add-product-frm').ajaxForm(addProductajaxFormContent());

$('#add-product-frm .form-control.input-text ').keyup(function(e) {
	if(e.keyCode == 13 && $(this).val() != ''){
		$('#add-product-frm').submit();
	}
});



$(document).on('click', '.icon-specs-info', function(){ 
	$(`#product-page-specifications-modal`).modal('show');
	const info 		  = $(this).attr('data-content');
	const image_path  = $(this).attr('data-img-path');
	const modal_title = $(this).attr('data-modal-title');
	if($(this).hasClass('size-and-material-flag-for-modal') ){
		const image_path  = $(this).attr('path');
		const title       = $(this).attr('title');
		load_content_into_product_modal('', image_path,title);
	}else if($(this).hasClass('gift-box-img')){
		let image_path  = $(this).attr('src');
		image_path      = image_path.replace('120','730');
		load_content_into_product_modal(info, image_path,'GIFT BOX AND BAG');
	}else if($(this).hasClass('onecklace-care-image')){
		let image_path  = $(this).attr('src');
		let onecklace_care_explanation = $(this).attr('modal-explanation');
		image_path      = image_path.replace('120','730');
		load_content_into_product_modal(onecklace_care_explanation, image_path, modal_title);
	}else if($(this).hasClass('font_modal_picture')){
		let image_path  = $(this).attr('image-src');
		image_path      = image_path.replace('120','730');
		load_content_into_product_modal('', image_path, modal_title);
	}
	else{
		load_content_into_product_modal(info, 'https://cdn.onecklace.com/'+`images/product/modal/${image_path}.webp`,modal_title);
	}

});

function load_content_into_product_modal(modal_info, image_path, modal_title){

	$(`#page-specifications-modal-info`).html(modal_info);
	$(`#page-specifications-modal-title`).html(modal_title);
	$('img.choosen-img-product-modal').attr('src',image_path);
}

$(document).on('click', '.sprite-icon-product-page-size-and-material', function(){ 
	
	$('.sprite-icon-product-page-size-and-material').removeClass('sprite-image-marked');
	$('.sprite-icon-product-page-size-and-material').addClass('sprite-image-unmarked');
	$(this).removeClass('sprite-image-unmarked');
	$(this).addClass('sprite-image-marked');
});

$(document).on('click', '.trigger_modal_from_description', function(){ 
	$(this).parent().find('i.sprite-icon-product-page-size-and-material').click();
	
});

$(document).on('click', '#product-size-and-material-tab-image', function(){ 
	const image_path  = $(this).attr('src');
	const image_title = $(this).attr('title');
	$(`#product-page-specifications-modal`).modal('show');
	$(`#page-specifications-modal-info`).html('');
	$(`#product-page-specifications-modal img`).attr('src',image_path);
	$(`#page-specifications-modal-title`).html(image_title);
});

$(document).on('click', '.arrow-product-footer', function(){ 
	
	const picker = $(this).attr('rel');
	if($(this).hasClass('arrow-product-footer-down')){
		$(this).removeClass('arrow-product-footer-down');
		$(this).addClass('arrow-product-footer-up');
		$(`#${picker}`).fadeIn();
	}
	else{
		$(this).removeClass('arrow-product-footer-up');
		$(this).addClass('arrow-product-footer-down');
		$(`#${picker}`).fadeOut();
	}

});

$(document).on('click', '.magnifying-glass-image-section', function(){ 
	$('#product-size-and-material-tab-image').click();
});

$(document).on('click', '.gift-box-click-wrapper', function(){ 
	return;
	$(`#gift-box-checkbox`).val(((parseInt($(`#gift-box-checkbox`).val()))+1)%2);

	if($(`#gift-box-checkbox`).val() == 1){
		$( "#product-gift-box" ).fadeIn("fast");
		$('#gift_box').text('Added');
		$('#gift_box').removeClass( "margin-left-15");
		$('#gift_box').addClass( "margin-left-4");
		$('#gift_box_marker').addClass('v-shape-icon');
		$('#gift_box_marker').removeClass('display-none');
		$('#gift-box-user-checkbox').prop('checked', true);
	}
	else{
		$( "#product-gift-box" ).fadeOut("fast");
		$('#gift_box').text('Add');
		$('#gift_box').addClass( "margin-left-15");
		$('#gift_box').removeClass( "margin-left-4");
		$('#gift_box_marker').removeClass('v-shape-icon');
		$('#gift_box_marker').addClass('display-none');
		$('#gift-box-user-checkbox').prop('checked', false);
	}
});

$(document).on('click','.onecklace-care-trigger',function(event){
	if($(`#onecklace-care`).val() == 1){
		$(`#onecklace-care`).val(0);
		$('#onecklace-care-checkbox').prop('checked', true);
	}
	else{
		$(`#onecklace-care`).val(1);
		$('#onecklace-care-checkbox').prop('checked', false);
	}
});

//This event using for trigger click event of class in the 'rel' attribute of the clicked class
$(document).on('click','.icon-info-open-modal-by-attr-classToOpen',function(){
	let classToOpen = $(this).attr('class-to-open');
	$(`.${classToOpen}`).click();
});

$(document).on('click','.double_thickness_label',function(){
	$('.double_thickness_checkbox').click();
});

$(document).on('click','.extra-tags-image',function(){
	$('#personalized-tag-clasp').click();
});

$(document).on('click','.double-thickness-open-modal',function(){
	$('.double-thickness-name-and-chain-icon').click();
});


$(document).on('click', '#add-back-engraving', function(){ 
	if($('#add-back-engraving').is(":checked")){
		preloadImages('https://cdn.onecklace.com/images/product/add-back-engraving.png');

		$( "#add-back-engraving-container" ).fadeIn( "slow");
	}
	else{
		$( "#add-back-engraving-container" ).fadeOut( "slow");
	}
});


$('[data-toggle="popover-product-info"]').popover({trigger: "click", placement : "top", html : "true" ,container: "body"});

$(document).on('change', '.choose-option', function(){
	var value 			= $(this).val();
	var id				= $(this).attr('id');
	var from 			= $(this).attr('rel');
	var product_id 		= $(this).attr('product-id');
	var numberOfOptions = $('option',this).length;
	
	var output 			= $(this).find('option:selected').attr('rel');
	var prices 			= output.split("&&");
	var pic 			= $(this).find('option:selected').attr('pic-id');	


	update_pic_and_price_on_select_option_change(pic,prices,product_id);

	
	for(var i=0; i <= numberOfOptions; i++){
		$('.select-option-group-'+id+'-'+i).hide();
	}
	
	
	$('.select-option-group-'+id+'-'+(parseInt(value)+parseInt(from)-1)).show();
	
	fixSpecificationDottedLine();
});

$(document).on('change', '.select-option', function(){
	var value 		= $(this).val();
	var id			= $(this).attr('id');
	var from 		= $(this).attr('rel');
	var product_id 	= $(this).attr('product-id');
	
	var numberOfOptions = $('option',this).length;
	
	var output = $(this).find('option:selected').attr('rel');
	var prices = output.split("&&");
	var pic    = $(this).find('option:selected').attr('pic-id');	

	update_pic_and_price_on_select_option_change(pic,prices,product_id);
		
	for(var i=0; i <= numberOfOptions; i++){
		$('.select-option-group-'+id+'-'+i).hide();
	}
	
	for(var i=0; i <= (parseInt(value)+parseInt(from)-1); i++){
		$('.select-option-group-'+id+'-'+i).show();
	}

	fixSpecificationDottedLine();
});

// // lazy loading on product page
// $('.pro-bxslider-lazy-load').each(function(e){
// 	$(this).attr('src',$(this).attr('data-src'));
// 	$(this).show();
// });

$('.display-after-load-document').each(function(e){
	$(this).show();
});

// bxslider settings
	bx_contollers = true;
	bx_mode = 'fade';
	
var isFirstSwipe = true;
var bxslider_product_setting = {
	mode: bx_mode,
	infiniteLoop: true,
	moveSlides: 1,
	startSlide:0,
    slideMargin: 0,
	pagerType:'full',
	controls:bx_contollers,
	randomStart:false,
	pagerCustom: ($(window).width() < 768 ? null : '#bx-pager'),
	onSlideBefore: function (currentSlideNumber, totalSlideQty, currentSlideHtmlObject){
		if(isFirstSwipe){ //on first swipe, loading the bx slider lazy images
			$('.pro-bxslider-lazy-load').each(function(e){
				$(this).attr('src',$(this).attr('data-src'));
			})
			isFirstSwipe = false;
		}
		if($(currentSlideNumber)[0].id == 'vimeo_video_li'){
			$('.iframe-vimeo').attr('src',$('.iframe-vimeo').attr('data-src'));
		}
		if($(currentSlideNumber).find('img')[0] != undefined){
			src = $(currentSlideNumber).find('img')[0].src;

			if((src.indexOf('product_')!=-1 && src.indexOf('model') == -1 && src.indexOf('font') == -1) || src.indexOf('rolo-box')!=-1 || src.indexOf('twist-box')!=-1 || src.indexOf('Silver-Rolo-Chain')!=-1){
				$('.product-guarantee-line').show();
			}
			else{
				$('.product-guarantee-line').hide();
			}
		}
	}
};

window.product_slider =  $('.bxslider').bxSlider(bxslider_product_setting);


// Vimeo video click button event
	$('#play_product_video').click((event)=>{
		let index = $('#vimeo_video_li').attr('val');
		event.preventDefault();
		//Slider index is the slider of the video if exist
		window.product_slider.goToSlide(index);
	})

    $('.bx-wrapper .bx-controls-direction a').click(function(){
	$('.product-guarantee-line').hide();
});


$(document).on('click', '.how-it-look-img', function(){  
	
    var id  		= $(this).attr('rel');
    var product_id  = $(this).attr('product_id');

 
    $('.temp-product-loder-img').show()
   	$('#instagram-in-product-modal .main-image').hide(); 
   	
    
	 if ($(window).width() <= 768){
		var path = '_450';
	 }
	 else{
		var path = '_640';
	 }
	
	$('#instagram-in-product-modal .main-image').attr('src','https://cdn.onecklace.com/in_products_images/'+product_id+'/'+id+path+'.jpg');
	$('#instagram-in-product-modal .main-image').on('load', function(){
		 
		$('.temp-product-loder-img').hide()
		$('#instagram-in-product-modal .main-image').show();
	});

    $('#instagram-in-product-modal').modal('show');
});





/* ------------------------------------------------------------ *\
Add Review
\* ------------------------------------------------------------ */



/* ------------------------------------------------------------ *\
   Bead Bracelets
\* ------------------------------------------------------------ */

/* ------------------------------------------------------------ *\
    Shopping Cart
\* ------------------------------------------------------------ */
$('.shopping-cart-product-image').click(function(){
	var src = $(this).attr('src')

	$('#shopping-cart-product-image-modal img').attr('src', src.replace('thumb.jpg','450.jpeg'));
	$('#shopping-cart-product-image-modal').modal('show')
});


$('.do-you-have-a-coupon-btn').click(function(){
	var source = $(this).attr('rel');

	if(isMobile())$(this).hide();

	if(source == 'checkout' && isMobile()){
		$(this).hide();
		$('.checkout-coupon-form-ab-test-warper-mobile').fadeIn("slow");
	}
	else if(source == 'checkout'){
		$(this).hide();
		$('.checkout-coupon-form-ab-test-warper').fadeIn("slow");
	}
	else{//it's Shopping Cart
		$('.shopping-cart-coupon-form-ab-test-warper').fadeIn("slow");
	}
});

$('.uppsala-shopping-cart-btn').click(function(){
	$('.uppsala-shopping-cart-btn').html('');
	$('.uppsala-shopping-cart-btn').addClass('ajax-loder-on-add-to-cart-button');

	var product_id    	=	$(this).attr('rel');
	var product_name  	= $('#uppsala-shopping-cart-product-name').html();
	var material  	  	= $('#uppsala-shopping-cart-material').val();
	var price 			= Number($('#uppsala-shopping-cart-product-price').html().replace(/[^0-9\.]+/g,""));

	id = get_product_id_for_criteo(product_id,material,'')		
		
	dataLayer.push({
		'event': 'addToCart',
		'addToCartID': id,
		'addToCartProductPrice': price,
		'ecommerce': {
		'add': {                                
			'products': [{                        
			'name': product_name,
			'id': id,
			'price': price,
			'brand': 'oNecklace',
			'quantity': 1
			}]
		}
		}
	});
		
    $.ajax({
        url: "https://www.onecklace.com/functions/functions.php",
        type: "post",
        data: "type=add-to-cart-uppsala-shopping-cart-product&product_id="+product_id,
        success: function(responseText){
			location.reload();
        },
        error:function(){
          location.reload();
        }
    });
});

$('.remove-product').click(function(){

	var tmp			  =	$(this).attr('id').split("###");
	var product_rand  = tmp[0];
	var product_name  = $(this).parent().parent().parent().find('.shopping-cart-product-name').html();
	var product_price = Number($('.float_cart_price_'+product_rand).html().replace(/[^0-9\.]+/g,""));

    $.ajax({
        url: "https://www.onecklace.com/functions/functions.php",
        type: "post",
        data: "type=remove_product_shopping_cart&product_rand="+product_rand,
        success: function(responseText){

            update_header_cart();
            $('.float-shopping-cart-product-line-'+product_rand).fadeOut("slow");
			$('.product-line-'+product_rand).fadeOut("slow");
			var tax  = responseText.split('###')[1];
			if(tax == 0 || tax=='0.00' || tax==''){
				$('.tax-sec').html('FREE');
			}else{
				$('.tax-sec').html(print_currency_sign(tax));
			}
           
			dataLayer.push({
				  'event': 'removeFromCart',
				  'ecommerce': {
				    'remove': {                               
				      'products': [{
				          'name': product_name,
				          'id': get_product_id_for_criteo(tmp[1],tmp[2],''),
				          'price': product_price,
				          'brand': 'oNecklace',
				          'quantity': 1
				      }]
				    }
				  }
				});
			
        },
        error:function(){
          location.reload();
        }
    });
});


$('.shopping_cart_add_gift_btn').click(function(){
	$('#gift-modal-img').attr('src',$('#gift-modal-img').attr('data-src'));
	$('#gift-modal-img').on('load',function(){
		$('#gift-modal').modal('show');
	});
	$('#gift_box_note').val('');
	$('.add_gift_to_cart').attr('rel', $(this).attr('rel'));
});

$(document).on('click', '.add-special-request-to-all-in-mobile', function(){
	if($("#add-special-request-to-all-in-mobile-edit-area").hasClass('display-none')){
		$("#add-special-request-to-all-in-mobile-edit-area").removeClass('display-none');	
	}else{
		$("#add-special-request-to-all-in-mobile-edit-area").addClass('display-none');	
	}	
});

$(document).on('click', '#add-special-request-to-all-in-mobile-btn', function(){

	const text = $("#add-special-request-to-all-in-mobile-txt").val();
	
	$.ajax({
        url: "https://www.onecklace.com/functions/functions.php",
        type: "post",
        data: `type=update-special-request-all-products&text=${text}`,
        success: function(responseText){
			if(responseText.trim()=='1'){
				$('.special-requests-all-products-txt').html(text);
				$('.special-requests-all-products-container').removeClass('display-none');
				if(text ==''){
					$('.special-requests-all-products-container').addClass('display-none');
				}
			}
        },
        error:function(){

        }
    });
});

$('.add_gift_to_cart').click(function(){
    var product_rand = $(this).attr('rel');

    var note = $('#gift_box_note').val();

    $.ajax({
        url: "https://www.onecklace.com/functions/functions.php",
        type: "post",
        data: "type=add_gift_to_cart&note="+note+'&product_rand='+product_rand,
        success: function(responseText){
				
                update_header_cart();
                $('.modal').modal('hide');

				var tmp = responseText.split("###");
				var tax = tmp[3];
				if(tax == 0 || tax=='0.00' || tax==''){
					$('.tax-sec').html('FREE');
				}else{
					$('.tax-sec').html(print_currency_sign(tax));
				}
                $('.add_gift_pack-'+product_rand).hide().fadeOut("slow");
                $('.gift-line-'+product_rand).html(tmp[1]).fadeIn("slow");
                if($(window).width() > 600){
                	$('.gift-line-'+product_rand).addClass('gift-line-top');
                }

},
        error:function(){
             location.reload();
        }
    });
});

$(document).on('click', '.remove_product_gift_box', function(){
    var product_rand 	= $(this).attr('rel');

    $.ajax({
        url: "https://www.onecklace.com/functions/functions.php",
        type: "post",
        data: "type=remove_product_gift_box&product_rand="+product_rand,
        success: function(responseText){

            $('.gift-line-'+product_rand).fadeOut("slow");

			var tmp = responseText.split("###");
			var tax = tmp[0];
			if(tax == 0 || tax=='0.00' || tax==''){
				$('.tax-sec').html('FREE');
			}else{
				$('.tax-sec').html(print_currency_sign(tax));
			}
            $('.product_line_gift_box_'+tmp[1]).fadeOut("slow");

            update_header_cart();
            },
            error:function(){

        }
    });
});

$('.edit-special-request').click(function(){
    $(this).next().slideToggle();
});

$(document).on('click', '.update-special-request', function(){
    var product_rand 	= $(this).attr('rel');
    var text 	        = $('.special-request-new-'+product_rand).val();

    $.ajax({
        url: "https://www.onecklace.com/functions/functions.php",
        type: "post",
        data: "type=update-special-request&product_rand="+product_rand+"&text="+text,
        success: function(responseText){
			$('.special-request-'+product_rand).html(text);
            $('.update-special-request-container-'+product_rand).fadeOut();
			$('.title-special-request-'+product_rand).removeClass('display-none');
        },
        error:function(){

        }
    });
});


$(document).on('click', '.edit-gift-note', function(){
    $(this).next().slideToggle();
});

$(document).on('click', '.update-gift-note', function(){
    var product_rand 	= $(this).attr('rel');
    var text 	        = $('.gift-note-new-'+product_rand).val();

    $.ajax({
            url: "https://www.onecklace.com/functions/functions.php",
            type: "post",
            data: "type=update-gift-note&product_rand="+product_rand+"&text="+text,
            success: function(responseText){

            $('.gift-note-'+product_rand).html(text);
            $('.update-gift-note-container-'+product_rand).fadeOut();
        },
        error:function(){

        }
    });
});

/* ------------------------------------------------------------ *\
    Checkout
\* ------------------------------------------------------------ */
 /* ------------------------------------------------------------ *\
    Checkout
\* ------------------------------------------------------------ */
 

/* ------------------------------------------------------------ *\
   Thank You
\* ------------------------------------------------------------ */

/* ------------------------------------------------------------ *\
   Contact page
\* ------------------------------------------------------------ */
    



/* ------------------------------------------------------------ *\
Home
\* ------------------------------------------------------------ */

if($('#instagram-cubes').length){
	$("#instagram-cubes .carousel").jCarouselLite({
		btnNext: ".default .next",
		btnPrev: ".default .prev",
		start: 0,
		visible: 20,
		scroll: 1
	});
	
	}     

$('#instagram-cubes').on('click', '.instagram-home-cube',  function() {
	var value = $(this).attr('rel');
	
	$('#instagram-modal .main-image').hide();
	$('#instagram-modal .col-md-8').hide();
	$('.instegram-review-area').hide();
	$('.temp-product-loder-img').show();
	$('#instagram-modal').modal('show');
	
	if(value!=''){
		$.ajax({
		url: "https://www.onecklace.com/functions/functions.php",
		type: "post",
			data: "value="+value+"&type=get_instagram_by_id",
			success: function(responseText){
			
				var ret = responseText.split("###");
				
		
				$('#instagram-modal .main-image').attr('src','https://cdn.onecklace.com/images/home/carousel/'+value+'_600.jpg');
				$('#instagram-modal .main-image').on('load', function(){
				  
				  $('.temp-product-loder-img').hide();
				  $('#instagram-modal .main-image').show();
				});
				$('#instagram-modal .col-md-8').show();
				
				$('#instagram-modal .product-image').attr('src','https://cdn.onecklace.com/products/'+ret[0]+'/product_'+ret[0]+'_1_225.jpeg');
				$('#instagram-modal .product-name').html(ret[1]);
				$('#instagram-modal .home-page-instergram-price-area .line-through').html(print_full_price(ret[3]));
				$('#instagram-modal .home-page-instergram-price-area .float-right').html(print_full_price(ret[4]));
				$('#instagram-modal .product-link').attr('href','https://www.onecklace.com/'+ret[2]+'/');
				
				
				if(ret[5] > 1){
					$('.instegram-review-area').show();

					$('#instagram-modal .instegram-review-area .review-count').html(ret[5]+' Reviews');
					 
				
				}

				
			},
			error:function(){
				
			} 
		});
	}
});

$(document).on('click', '.close-model', function(e){
	e.preventDefault();
	
    $('.modal').modal('hide')
});


/* ------------------------------------------------------------ *\
    Header
\* ------------------------------------------------------------ */

if(window.matchMedia("(max-width: 700px)").matches){
	changeSearchWidth();
}

function changeSearchWidth(){
	var width = $('.mobile-search').width()*0.8;
	$('#live-search-input').css('width',width);
	$('#live-search-html-container').css('width',width+35);
}

var old_search_string = $('#live-search-input').val()

function delay(callback, ms) {
  var timer = 0;
  return function() {
    var context = this, args = arguments;
    clearTimeout(timer);
    timer = setTimeout(function () {
      callback.apply(context, args);
    }, ms || 0);
  };
}

$(document).on('keyup', '#live-search-input',delay(liveSearch,500));
$(document).on('click','#search-icon-submit',function(){
	$('.search-frm').submit(); 
});
$(document).on('click','.search-view-all-btn',function(){$('.search-frm').submit(); });

function liveSearch(){
	var search_string = $('#live-search-input').val();
    if(search_string.length > 0 && old_search_string != search_string){
		$('#live-search-html-container').hide();
	        $.ajax({
            type: "GET",
			url: "https://www.onecklace.com/functions/live_search.php",
	        data: { term: search_string },
	        cache: false,
            success: function(html){
	            $("#search-history").hide();
	            $("#live-search-html").html('');
	            $("#live-search-html").html(html);
					$('.live-search-li').hover(function(){
						$('.live-search-li').removeClass('live-search-hover');
					    $(this).addClass('live-search-hover');
					});
				if(html.length > 0){
					$('#live-search-html-container').show();
				}
            }
	    });
    }else{
		$('#live-search-html-container').hide();	
		}return false;
}


$(document).on('click', '.search-submit-404', function(){
	if($('.live-search-input-404').val() != ''){
		$('.search-frm').submit(); 
	}
});
	
$( "#live-search-input" ).focus(function() {
  	$.ajax({
		url: "https://www.onecklace.com/functions/functions.php",
		type: "post",
		data: "type=get_search_history",
		success: function(data){
			if(data != ''){$('#search-history').show();}
			$('.search-history-content').html(data);
	    },
		error:function(){}   
	});
});	

$( ".clear-sarech-history" ).click(function() {
  	$.ajax({
		url: "https://www.onecklace.com/functions/functions.php",
		type: "post",
		data: "type=clear-sarech-history",
		success: function(data){
         	$("#search-history").fadeOut("slow");
	    },
		error:function(){}   
	});
});

$('html').click(function(e) {
    if($(".user-top-menu").is(":visible") && $(e.target).closest('.user-top-menu').length == 0 && $(e.target).closest('.show-btn').length == 0){
         $(".user-top-menu").hide();
    }
});

$(document).mouseup(function (e){
    var container = $("#search-history");
	var container2 = $("#live-search-html");

    if (!container.is(e.target)&& container.has(e.target).length === 0)  {
        container.hide();
    }
    if (!container2.is(e.target)&& container2.has(e.target).length === 0)  {
		$("#live-search-html-container").hide();
    }
    
});


/* ------------------------------------------------------------ *\
	Footer
\* ------------------------------------------------------------ */
$('.footer-navigation .footer-navigation-item').click(function() {
    if($(window).width() <= 768){
    	if($(this).next('ul').is(":visible")){
    		$(this).next('ul').removeClass('footer-ul-open')
			$(this).find('.footer-arrows').removeClass('footer-close');
			$(this).find('.footer-arrows').addClass('footer-open');
		}
		else{
			$(this).next('ul').addClass('footer-ul-open')
			$(this).find('.footer-arrows').addClass('footer-close');
			$(this).find('.footer-arrows').removeClass('footer-open');
		}
	
		$(this).next('ul').slideToggle();
		$(this).toggleClass('purple-important');
	}
});


$('.footer-navigation li').click(function() {
    if($(window).width() <= 768){
		 var addressValue = $(this).find('a').attr("href");
        window.location.href = addressValue;
	}
});

var SandfooterNewsletter = function(){
    var value 	= $('#newsletter').val();
	var page  	= $('#page').val();

    if(value == ''){
        $('#newsletter').attr("placeholder", "Type your Email");
    }
    else{
    	dataLayer.push({"event": "newsletterBtnClick","newsletterEmail": value});
    
        $.ajax({
            url: "https://www.onecklace.com/functions/functions.php",
            type: "post",
            data: "page="+page+"&value="+value+"&type=footer-submit-newsletter",
            success: function(responseText){

                $('.newsletter-respond').show();
                if(responseText == '3'){
                    $('.newsletter-respond').html('Please type a valid email address');
                }
                else if(responseText == '2'){
                    $('.newsletter-respond').html('This email address already exists');
                }
                else{
                    $('.newsletter-respond').removeClass('red');
                    $('.newsletter-respond').html('Thank you for subscribing!');
                }
                
				if($(window).width() <= 768){
                	$('.newsletter').height('185px')
                }


            },
               error:function(){

            }
        });
    }
}

$(".footer-submit").click(SandfooterNewsletter)

$('#newsletter').keydown(function(e) {
    if (e.keyCode == 13) {
          $(SandfooterNewsletter);
    }
});


/* ------------------------------------------------------------ *\
	Category
\* ------------------------------------------------------------ */

$(document).on('click', '#wishlist-offer .x-sign-close', function(){
	$('#wishlist-offer').fadeOut('slow');
});

$(document).on('click', '.wishlist-submit-email-btn', function(){
	var email = $('.wishlist-email-input').val();
	var page  = $('#page').val();
	
	if(!isEmail(email)){
		$('.wishlist-email-input').css('border','1px solid red');
		return false;
	}

	$.ajax({
		url: "https://www.onecklace.com/functions/functions.php",
		type: "post",
		data: "page="+page+"&email="+email+"&type=store_wishlist_email",
		success: function(data){
			$('#wishlist-offer').fadeOut('slow');
		},
		error:function(){}   
	}); 
}); 

$(document).on('click', '.scroll-to-element-btn', function(){
	var el = $(this).attr('rel');

	$('html, body').animate({ scrollTop: $(el).offset().top-60	 }, 1000);
});

$(document).on({
   mouseenter: function () {
		var id = $(this).attr('rel');
		if(typeof id !== 'undefined'){
			$(this).attr("src", 'https://cdn.onecklace.com/products/'+id+'/product_'+id+'_model_1_450.jpeg');
		}
    },
    mouseleave: function () {
    	var id			  = $(this).attr('rel');
    	var material_falg = $(this).attr('mat');
    	
    	if(typeof id !== 'undefined'){
    		var material = $(this).parents('.product-cube:first').attr('info');
    	
   			$(this).attr("src", 'https://cdn.onecklace.com/products/'+id+'/'+get_path_from_material(material,'')+'product_'+id+'_1_450.jpeg');
    	}
	}
}, ".product-cube .images img:nth-child(1)");



if ( $('#category-tag-filter-wrapper').length === 1 ){
	
	let data 	   = $('.sort-category').val();
	let get_url = '';
	if(window.location.href.indexOf("?") > -1){
		get_url = "?" + window.location.href.split('?')[1];
	}
	draw_product_tag_filters(get_url,data);
}

$('.carousel.flickity-enabled').mouseover(function () {
	$(this).children(`.flickity-prev-next-button`).show();
});

$('.carousel.flickity-enabled').mouseout(function () {
	$(this).children(`.flickity-prev-next-button`).hide();
});

function get_category_products_filters_url(){
	
	let tag_filter_str = '';
	let filter_str 	   = '';
	let str            = '';
	let counter        = '';
	let and            = '';

	let arr_params   = {};
	//working on tag filter 
	$('.category-tag-filter-checkbox:checkbox:checked').each(function () {
		const tag_type = $(this).attr('tag_type');
		let tag_text = $(this).attr('rel');
		tag_text     = tag_text.replace(' ','-');
		tag_filter_str 		 +=  `${tag_text},`;
		if(arr_params[tag_type]){
			arr_params[tag_type].push(tag_text);
		}else{
			arr_params[tag_type] = [tag_text];

		}
	});
	//working on filter
	$(".category-filter-type-sort input").each(function(key, value) {
		if($(value).is(":checked")){
			counter++ ;
			str += $(value).val()+'-';
		}
	});


	if(arr_params !== '' ){
		let tag_url_builder =[];
		$.each(arr_params, function(i, item) {
			items = item.join(',');
			tag_filter = `filter_${i}=${items}`;
			tag_url_builder.push(tag_filter);
		});
		
		tag_filter_str =  tag_url_builder.join('&');
	}
	if($('.category-filter-type-sort input').length === 0){
		filter_str = '';
		tag_filter_str = '?' + tag_filter_str;
	}else{
		if(counter == '' || counter == 4){
			filter_str = '?filter=all';
		}
		else{
			filter_str = `?filter=${str.substring(0, str.length-1)}`;
		}
	}
	if(filter_str !== '' && tag_filter_str !== '' ){
		and = '&'; 
	}

	return filter_str + and + tag_filter_str;
}

function get_tag_filter_string(){
	let   str = '';
	$('.category-tag-filter-checkbox:checkbox:checked').each(function () {
		let tag_text = $(this).attr('rel');
		tag_text     = tag_text.replace(' ','-');
		str 		 +=  `${tag_text},`;
	});
	if( str != ''){
		str = str.substring(0,str.length-1);
	}
	return str;
}

function draw_product_tag_filters(get_url,data){
	$.ajax({
		url: `https://www.onecklace.com/functions/functions.php${get_url}`,
		type: "post",
		data: `type=get-category-products-tag-filter&data=${data}`,
		success: function(responseText){
			var tmp = responseText.split("###");
			$(`#category-tag-filter-wrapper`).html(tmp[0]);					
			$(`#product-tag-top-quick-filter-wrapper`).html(tmp[1]);		
			$('.menu-top').hcSticky({
				innerSticker: '.menu',
				bottomEnd: 175			});

			if(tmp[1].trim() != ''){
				$(`#hr-tag-top-quick-filter-wrapper`).remove();
				$(`<hr id="hr-tag-top-quick-filter-wrapper">`).insertAfter(`#product-tag-top-quick-filter-wrapper`);
				$('#clear-all-product-tag-top-quick-filter').show();
			}else{
				$(`#hr-tag-top-quick-filter-wrapper`).remove();
				$('#clear-all-product-tag-top-quick-filter').hide();
			}

			},
		error:function(){
			location.reload();
		}   
	});	
}


$(document).on('click', '#clear-all-product-tag-top-quick-filter', function(){
	$('.category-tag-filter-checkbox:checkbox:checked').each(function () {
		const checked_filters = $('.category-tag-filter-checkbox:checkbox:checked').length;
		if(checked_filters == 1){
			$(this).click();
		}else{
			$(this).removeAttr('checked');
		}	
	});
});

$(document).on('click', '.tag-filter-input-wrapper', function(){
	$(this).parent().find( "input" ).click();
});

$(document).on('click', '.delete-marked-filter', function(){
	const tag_id = $(this).attr('rel');
	$(this).parent().hide();
	$(`#filter-tag-${tag_id}`).click();
});

//filter by tag
$(document).on('click', '.category-tag-filter-checkbox', function(){
	
	if($(this).parent().parent().hasClass('bold')){
		$(this).parent().parent().removeClass('bold');
	}else{
		$(this).parent().parent().addClass('bold');
	}
	$(".category-material-sort input").each(function(key, value) {
		tmp = $(value).val();
		const mat = tmp.split('#')[1];
		const url = tmp.split('#')[0].split('?')[0];
		if(mat){
			$(value).val(url+get_category_products_filters_url()+'#'+mat);
		}
	});

	window.history.pushState(null, null, get_category_products_filters_url());

	var data = $('.sort-category').val();
	
	$.ajax({
		url: "https://www.onecklace.com/functions/functions.php" + get_category_products_filters_url(),
		type: "post",
		data: "type=get_products_list_filter_by_material&data=" + data,
		success: function(responseText){

			$('.product-cubes-p').html(responseText);
			$('.product-cubes-p').show();
			
			ab_test_ajax_check_helper();
							
			$('.products-counter').html(window.productCategoryCount+' products found');
			lazyImage(); 

			const filterParams = get_category_products_filters_url();
			draw_product_tag_filters(filterParams,data);
			},
		error:function(){
			location.reload();
		}   
	});	
});

if($('.swipe-tabs').length){	
		
	$(function () {
		'use strict';
	
		var $swipeTabsContainer = $('.swipe-tabs'),
			$swipeTabs = $('.swipe-tab'),
			$swipeTabsContentContainer = $('.swipe-tabs-container'),
			currentIndex = 0,
			activeTabClassName = 'active-tab';
	
		$swipeTabsContainer.on('init', function(event, slick) {
			$swipeTabsContentContainer.removeClass('invisible');
			$swipeTabsContainer.removeClass('invisible');
	
			currentIndex = slick.getCurrent();
			$swipeTabs.removeClass(activeTabClassName);
	       	$('.swipe-tab[data-slick-index=' + currentIndex + ']').addClass(activeTabClassName);
		});
		
		var ToShowCount = 5;
		if($(window).width() <= 768){
			ToShowCount = 3;
		}
				
		$swipeTabsContainer.slick({
			//slidesToShow: 3.25,
			slidesToShow: ToShowCount,
			slidesToScroll: 1,
			arrows: false,
			infinite: false,
			swipeToSlide: true,
			touchThreshold: 10
		});
	
		$swipeTabsContentContainer.slick({
			asNavFor: $swipeTabsContainer,
			slidesToShow: 1,
			slidesToScroll: 1,
			arrows: false,
			infinite: false,
			swipeToSlide: true,
	    draggable: false,
			touchThreshold: 10
		});
	
	
		$swipeTabs.on('click', function(event) {
	        // gets index of clicked tab
	        currentIndex = $(this).data('slick-index');
	        $swipeTabs.removeClass(activeTabClassName);
	        $('.swipe-tab[data-slick-index=' + currentIndex +']').addClass(activeTabClassName);
	        $swipeTabsContainer.slick('slickGoTo', currentIndex);
	        $swipeTabsContentContainer.slick('slickGoTo', currentIndex);
	    });
	
	    //initializes slick navigation tabs swipe handler
	    $swipeTabsContentContainer.on('swipe', function(event, slick, direction) {
	    	currentIndex = $(this).slick('slickCurrentSlide');
			$swipeTabs.removeClass(activeTabClassName);
			$('.swipe-tab[data-slick-index=' + currentIndex + ']').addClass(activeTabClassName);
		});
	});	

}	
	
if($('.christmas-collection-cubes').length){	
	var el_count		= $('.new-category-title-wrapper').length;
	
	for(var i=1; i <= el_count; i++){
			
			$(".christmas-collection-cubes.part-"+i+" .carousel").jCarouselLite({
				btnNext: ".christmas-collection-cubes.part-"+i+" .next",
				btnPrev: ".christmas-collection-cubes.part-"+i+" .prev",
			    mouseWheel: true,
			    scroll: 1,
			    speed: 800,
				visible: 1
			});
		}
	
		
        
		
		
	
		
	

	

}

$(document).on('click', '.category-triger-filter-clicked', function(){
	var type = $(this).attr('rel');
	$('.category-filter-type-sort input').prop('checked', false);
	$('.category-filter-type-sort input[value='+type+']').prop('checked', true);
	$(".category-filter-type-sort input").trigger("change");
	
	$('html, body').animate({ scrollTop: $('.categories-main').offset().top-30	 }, 1000);
});

//filter by product type
$(document).on('change', '.category-filter-type-sort input', function (e) {
	var str = "";
	var counter = '';
	
	$(".category-filter-type-sort input").each(function(key, value) {
		if($(value).is(":checked")){
			counter++
			str += $(value).val()+'-';
		}
	});

	var newStr 		 = str.substring(0, str.length-1);
	var material	 = window.location.hash.substring(1)
	var material_str = ''
	var filter_str	 = '';
	if(counter == '' || counter == 4){
		window.history.pushState(null, null, get_category_products_filters_url());
		newStr = 'all';
	}
	else{
		window.history.pushState(null, null, get_category_products_filters_url());
	}
	
	var tmp = '';
	$(".category-material-sort input").each(function(key, value) {
		tmp = $(value).val();
		$(value).val(replaceUrlParam(tmp, 'filter', newStr));
	});
	
	if(chack_if_matrial_valid_and_return_name_if_valid(material)){
		material_str = '#'+material
		newStr = newStr+material_str;
	}
	
	
	filter_str = get_category_products_filters_url()+material_str;
	
	var data = $('.sort-category').val();
	$.ajax({
			url: "https://www.onecklace.com/functions/functions.php"+filter_str,
			type: "post",
			data: "type=get_products_list_filter_by_material&data="+data,
			success: function(responseText){

				$('.product-cubes-p').html(responseText);
				$('.product-cubes-p').show();
				
				ab_test_ajax_check_helper();
								
				$('.products-counter').html($('.product-cubes').length+' products found');
				lazyImage(); 
				draw_product_tag_filters(get_category_products_filters_url(),data);
			    },
			error:function(){
				location.reload();
			}   
		});
});

$('.category-filter-type-sort .pointer').click(function(e) {
	var element = $(this).find("input");
	var status = element.is(":checked");
	if($(e.target).is('input')){ return; }
	
	if(status){
		$(element).prop("checked", !status);
	}
	else{
		$(element).prop("checked", !status);
	}
	
	 $(element).trigger("change");
});
	
$('.category-material-sort .pointer').click(function() {
	$(this).find("input").prop("checked", true);

	if($(this).find("input").hasClass('filter-material')){
		createCookie('selectd_material', "", -1);
	}

	window.location = $(this).find("input").val();
});	

$('.category-sort-clear-filter').click(function() {
	createCookie('selectd_material', "", -1);
});

$('.category-material-sort a').click(function(){
	
	var tmp 	 = $(this).attr('href').split('#');
	var material = tmp[1];

	if(chack_if_matrial_valid_and_return_name_if_valid(material)){
		createCookie('selectd_material', material, '1');
	
		$('.category-type-sort a').each(function() {
			$(this).attr('href',add_material_filter_to_link($(this).attr('href'),material));
		});	
		
		$('.category-recipient-sort a').each(function() {
			$(this).attr('href',add_material_filter_to_link($(this).attr('href'),material));
		});	
	}
});


function change_categorie_list_by_hash(){
	if(!$('.sort-category').length){
		return false;
	}

	var material	 		= window.location.hash.substring(1);
	var material_name 		= chack_if_matrial_valid_and_return_name_if_valid(material);
	var data		  		= change_material_in_string_for_hash_helper($('.sort-category').val(),material);
	var tmp 		  		= data.split("##");
	
	if(material_name && data){
		$('.product-cubes-p').hide();
		createCookie('selectd_material', material, '1');

		//update ajax filter..
		$('.view-more-category').each(function() {
			$(this).attr('id',change_material_in_string_for_hash_helper($(this).attr('id'),material));
		});	
			
		$('.sort-category option').each(function() {
			$(this).val(change_material_in_string_for_hash_helper($(this).val(),material));
		});	

		 var category_name 			= $('.category-name-title').html();
		
		category_name	  = category_name.replace(/\\/g, '')
		data			  = data+'##'+category_name;
						
		$.ajax({
			url: "https://www.onecklace.com/functions/functions.php" + get_category_products_filters_url(),
			type: "post",
			data: "type=get_products_list_filter_by_material&data="+data,
			success: function(responseText){
				$('.product-cubes-p').html(responseText);
				$('.product-cubes-p').show();
				
				ab_test_ajax_check_helper();

				$('.products-counter').html(window.productCategoryCount+' products found');
				
				$(".category-material-sort input").each(function(key, value) {
					tmp = $(value).val().split("#"+material);
					if(tmp.length == 2){
						$(value).prop("checked", true);
					}
				});
				
				let category_name = $('.category-name-title').html()
				$('.breadcrumb li:last-child span').html(category_name + ' in ' + material_name);
				$('h1 span').html(category_name + ' in ' + material_name);
				$('h1').css('font-size','25px');
				lazyImage();
				draw_product_tag_filters(get_category_products_filters_url(),data);	 
			    },
			error:function(){
				location.reload();
			}   
		});

	}
}

if(window.location.hash != ''){				 
	change_categorie_list_by_hash()
}
	
$(window).on('hashchange', function() {
	change_categorie_list_by_hash()
});


$('.mobile-categorie-filter, .category-sort-cube .margin-top-20:first-of-type, .cat-filter-container .mobile-menu-close-btn').click(function() {

	if($(window).width() <= 768){
	
		hide_outside_scroll('.cat-filter-container');
	
		$('.mobile-search').hide();
		event.preventDefault(); 
		
		$('.nav').hide();
		$('.cat-filter-container').animate({width: 'toggle'});
		$('.product-guarantee-line').animate({width: 'toggle'});
		$('.bx-controls-direction a').animate({width: 'toggle'});
		
		$('.cat-filter-container').css('height',($('.category-sort-cube').height));
	}
});


$(document).on('click', '.feed-all-screen-on-menu-open', function(){
 	$('body').removeClass('overflow-hidden');
	$('.cat-filter-container').animate({width: 'hide'});
    $('.mobile-nav').animate({width: 'hide'});
    $('.mobile-logo').show();
	
	$(this).remove();
});



$('.view-more-category').on('click', function() {
	var value = $(this).attr('id');
	
	$('.view-more-category-loader').show();
	$('.view-100').hide()
	$('.view-40').hide()
	var this_obj = $(this);
	

	$.ajax({
	url: "https://www.onecklace.com/functions/functions.php",
	type: "post",
		data: "value="+value+"&type=view_more_category",
		success: function(responseText){
			$('.view-more-category-loader').hide();
			
			if(this_obj.hasClass('view-100')){
				var number = 100;
				$('.view-100').hide();
				$('.view-40').show();
			}
			else if(this_obj.hasClass('view-40')){
				var number = 40;
				$('.view-40').hide();
				$('.view-100').show();
			}

            var number_of_products  = $('#number-of-products').val();
            var url 				= $('#url').val();

			$('.product-cubes-p').html(responseText);
			
			ab_test_ajax_check_helper();

			lazyImage();
		},
		error:function(){
			
		} 
	});
});


$('.sort-category').on('change', function() {
	var value = $(this).val();
	
	$.ajax({
	url: "https://www.onecklace.com/functions/functions.php"+read_filter_for_ajax(),
	type: "post",
		data: "value="+value+"&type=sort-category",
		success: function(responseText){
			let response = JSON.parse(responseText);
			$('.product-cubes-p').html(response.html);
			ab_test_ajax_check_helper();
			lazyImage();
		},
		error:function(){
			
		}   
	});
});

$('.product-grid-4').click(function() {
	$('.product-cubes').addClass('col-md-6 ');
	$('.product-cubes').removeClass('col-md-55');
	
	$('.product-grid-4 div').removeClass('product-grid-grey');
	$('.product-grid-4 div').addClass('product-grid-purple');
	
	$('.product-grid-5 div').removeClass('product-grid-purple');
	$('.product-grid-5 div').addClass('product-grid-grey');
	
	/* Fix cube view */
	var element = $('.category-inline-banner')[1];
	var temp=  $(element).detach();
	temp.insertAfter($(".product-cubes:nth-child(21)")); 
});

$('.product-grid-5').click(function() {
	$('.product-cubes').addClass('col-md-55');
	$('.product-cubes').removeClass('col-md-6');
	$('.product-grid-5 div').removeClass('product-grid-grey');
	$('.product-grid-5 div').addClass('product-grid-purple');
	
	$('.product-grid-4 div').removeClass('product-grid-purple');
	$('.product-grid-4 div').addClass('product-grid-grey');
});


/* ------------------------------------------------------------ *\
	Navigation
\* ------------------------------------------------------------ */
$('.navigation ul li').hover(
	function() {$(this).find('.navigation-main-link').addClass('navigation-header-hover');},
  	function() {$(this).find('.navigation-main-link').removeClass('navigation-header-hover');}
);	

$(".navigation_conector").mouseover(function() {
	preloadNavImages(["1","2","3","4","christmas-collection"]);
});


$(document).on('mouseover', '.nav-filter-grid-item',function (){
	const new_src 	  = $(this).find('img').attr('hover');
	const src = $(this).find('img').attr('src');
    $(this).find('img').attr('src',new_src);
    $(this).find('img').attr('hover',src);
	$(this).find('div').css('color','#e1c4b9');
});

$(document).on('mouseout', '.nav-filter-grid-item',function (){
	const new_src 	  = $(this).find('img').attr('hover');
	const src = $(this).find('img').attr('src');
    $(this).find('img').attr('src',new_src);
    $(this).find('img').attr('hover',src);
	$(this).find('div').css('color','#53565a');
});

$(".navigation-main-link").mouseover(function(){
   var image = $(this).attr('rel');
   $('.category-image-privew').attr("src", image);
   $(".nav-filter-grid-item img").each(function(key, value) {
		$(value).attr('src',$(value).attr('alt-src'));
	});
   $('.navigation-cube').css('width', $('.header-container').width());
   $('.navigation-cube').css('left', $('#onecklace-logo').width()*(-1));
   
});


	
$('#language-popover').popover({
    html: true,
    placement : 'bottom',
    viewport : 'body',
    template: '<div class="popover language-popover-helper" style="width: auto;"><div class="arrow"></div><h3 class="popover-title"></h3><div class="popover-content"><div class="data-content"></div></div></div>',
    
    //title: 'Popover Title<a class="close" href="#");">&times;</a>',
    content: $('#language-popover-content').html(),
});

$('#language-popover').click(function (e) {
    e.stopPropagation();
});

$('.roman-numeral-convert').click(function() {
    var roman_numeral_day 		= $('#roman_numeral_day').val();
    var roman_numeral_month 	= $('#roman_numeral_month').val();
    var roman_numeral_year 		= $('#roman_numeral_year').val();
    var roman_numeral_format 	= $('#roman_numeral_format').val();


    if(roman_numeral_format==1){
        var date = romanize(roman_numeral_month)+'.'+romanize(roman_numeral_day)+'.'+romanize(roman_numeral_year);
    }
        else if(roman_numeral_format==2){
        var date = romanize(roman_numeral_day)+'.'+romanize(roman_numeral_month)+'.'+romanize(roman_numeral_year);
    }

    $('#roman_numeral_date').val(date);
});

$(document).click(function (e) {
    if (($('.popover').has(e.target).length == 0) || $(e.target).is('.close')) {
        $('#language-popover').popover('hide');
    }
});

function print_shipping_metode_option_by_country(country){
	$.ajax({
			url: "https://www.onecklace.com/functions/functions.php",
			type: "post",
            data: "country="+country+"&type=get_shipments_by_country_checkout",
			success: function(data){
				$('.shipment-htm').html(data.split('###')[0]);
				insertSelectedShippingMethodSummery(data.split('###')[1]);

				var shipping_method_checkout = '';
				var tax = 0;
				if($('.checkout-shipping-option.checkout-shipping-option-active').length){
					shipping_method_checkout = $('.checkout-shipping-option.checkout-shipping-option-active').attr('price');
					tax                      = $('.checkout-shipping-option.checkout-shipping-option-active').attr('tax');
				}
				else{
					shipping_method_checkout = $('.checkout-shipping-option').first().attr('price');
					tax                      = $('.checkout-shipping-option').first().attr('tax');
				}
				
				if(shipping_method_checkout==0 || shipping_method_checkout=='0.00' || shipping_method_checkout==''){
					$('.shipping_cost_txt').html('FREE');
				}
				else{
					$('.shipping_cost_txt').html(print_currency_sign(shipping_method_checkout));
				}
				
				if(tax == 0 || tax=='0.00' || tax == ''){
					$('.taxes-area').addClass('display-none');
				}
				else{
					$('.taxes-area').removeClass('display-none');
				}
				
				//checkout steps
				if($('.checkout-container')){
					//remove selected shipping method class
					fixSpecificationDottedLine();
				}


				//AB TEST:
				ab_test_ajax_check_helper('estimated-delivery');

				$.ajax({
				url: "https://www.onecklace.com/functions/functions.php",
				type: "post",
                data: "type=get_sum_details",
					success: function(responseText){
						var tmp = responseText.split("###");
						$('.grand-total').html(print_currency_sign(tmp[0]));
						$('.taxes_cost_txt').html(print_currency_sign(tmp[2]));
						if(isStripeActive()){
							initializeStripePayment(true);
						}
					},
					error:function(){
						window.location = 'https://www.onecklace.com/checkout/';
					}   
				});
		    },
			error:function(){
				window.location = 'https://www.onecklace.com/checkout/';
			}   
		});
}
  
});




function preloadImages(src) {
    img1 = new Image();
    img1.src = src;
}

function preloadNavImages(array) {
    if (!preloadImages.list) {
        preloadImages.list = [];
    }
    var list = preloadImages.list;
    for (var i = 0; i < array.length; i++) {
        var img = new Image();
        img.onload = function() {
            var index = list.indexOf(this);
            if (index !== -1) {
                // remove image from the array once it's loaded
                // for memory consumption reasons
                list.splice(index, 1);
            }
        }
        list.push(img);
        img.src = 'https://cdn.onecklace.com/images/nav/1/'+array[i]+'.jpg';
    }
}



function update_header_cart(){
	$.ajax({
		url: "https://www.onecklace.com/functions/functions.php",
		type: "post",
		data: "type=get-sum-data",
		success: function(responseText){
			var tmp = responseText.split("###");
			
			if(tmp[1]=='' ||tmp[1]=='0'){
                tmp[1]=0;
                tmp[0]=0;
                $('.shipping-cart-empty').fadeIn("slow");
                $('.shopping-cart-outsider').fadeOut("slow");
            }

			if(tmp[5]){
			$('.float-cart-coupon-code-amount').html(`<b>${tmp[5]}% </b>`);
			$('.coupon-applied-success').show();
			}else{
				$('.coupon-applied-success').hide();
				$('.gift_card_success').hide();
			}

			$('.float-cart-total-sum').html(tmp[0]);
			$('#header-cart-sum').html(tmp[0]);
			
			$('.mobile-nav-cart-count').html(tmp[1]);
			
			$('#header-cart-count').html(tmp[1]);
			$('.float-cart-total-sum').html(tmp[0]);

            $('#subtotal_total_payment').html(print_currency_sign(tmp[2]));
            $('.discount-sec').html('-'+print_currency_sign(tmp[4]!=""?tmp[4]:0));

            if(tmp[3] == '' || tmp[3] == '0' || tmp[3] == '0.00'){
               $('.shipping-sec').html('FREE');
            }
            else{
               $('.shipping-sec').html(print_currency_sign(tmp[3]));
            }
            
            $('#total_payment').html(print_currency_sign(tmp[0]));
                       
		},
		error:function(){
		}   
	});
}

function capitaliseFirstLetter(string){
    return string.charAt(0).toUpperCase() + string.slice(1);
}

function lowerFirstLetter(string){
    return string.charAt(0).toLowerCase() + string.charAt(1).toUpperCase();
}

function lowerUpperLowerLetter(string){
    return string.charAt(0).toLowerCase() + string.charAt(1).toUpperCase() + string.charAt(2).toLowerCase();
}
function upperLetter(string){
    return string.toUpperCase();
}

function checkPasswordMatch() {
    var password = $("#pwd").val();
    var confirmPassword = $("#vpwd").val();

    if (password != confirmPassword){
        $("#divCheckPasswordMatch").html("Passwords do not match");
    }
    else{
        $("#divCheckPasswordMatch").html("");
    }
}

function romanize(num) {
	if (!+num)
		return false;
	var	digits = String(+num).split(""),
		key = ["","C","CC","CCC","CD","D","DC","DCC","DCCC","CM",
		       "","X","XX","XXX","XL","L","LX","LXX","LXXX","XC",
		       "","I","II","III","IV","V","VI","VII","VIII","IX"],
		roman = "",
		i = 3;
	while (i--)
		roman = (key[+digits.pop() + (i * 10)] || "") + roman;
	return Array(+digits.join("") + 1).join("M") + roman;
}

function fromRoman(str) {  
  str = str.toUpperCase();
  var result = 0;
  var decimal = [1000, 900, 500, 400, 100, 90, 50, 40, 10, 9, 5, 4, 1];
  var roman = ["M", "MC","D","CD","C", "XC", "L", "XL", "X","IX","V","IV","I"];
  for (var i = 0;i<=decimal.length;i++) {
    while (str.indexOf(roman[i]) === 0){
      result += decimal[i];
      str = str.replace(roman[i],'');
    }
  }
  return result;
}


function scroll_to_element_on_mobile(element){
    if($(window).width() <= 768){
    	 $('html, body').animate({
	        scrollTop: $(element).offset().top
	    }, 1000);
	}
}

function change_currency_fn(value){
	$.ajax({
		url: "https://www.onecklace.com/functions/functions.php",
		type: "post",
		data: "value="+value+"&type=change_currency",
		success: function(responseText){location.reload();},
		error:function(){location.reload();}   
	});
}

$.fn.imagesLoaded = function () {

    // get all the images (excluding those with no src attribute)
    var $imgs = this.find('img[src!=""]');
    // if there's no images, just return an already resolved promise
    if (!$imgs.length) {return $.Deferred().resolve().promise();}

    // for each image, add a deferred object to the array which resolves when the image is loaded (or if loading fails)
    var dfds = [];  
    $imgs.each(function(){

        var dfd = $.Deferred();
        dfds.push(dfd);
        var img = new Image();
        img.onload = function(){dfd.resolve();}
        img.onerror = function(){dfd.resolve();}
        img.src = this.src;

    });

    // return a master promise object which will resolve when all the deferred objects have resolved
    // IE - when all the images are loaded
    return $.when.apply($,dfds);

}

function print_full_price(price){
	return print_currency_sign(print_price_by_courrency_value(price));
}

function print_currency_sign(price){
	var currency = '&#36;';
	
	if(currency=='&euro;'){
		return price+currency;
	}
	else{
		return currency+price;
	}
}

function insertSelectedShippingMethodSummery(selectedMethodData){
	if($('#summery-of-shipping-method').length>0){
		$('#summery-of-shipping-method').html(selectedMethodData);
	}
}



function hide_outside_scroll(element_selector){
	if($(element_selector).is(':visible')){	 	
	 	$('body').removeClass('overflow-hidden');
	 	$('.feed-all-screen-on-menu-open').remove();
	 }
	 else{
	 	$('body').addClass('overflow-hidden');
	 	$('body').append('<div class="feed-all-screen-on-menu-open"></div>');
	 }
}

function print_price_by_courrency_value(price){
   var num = (price*1);

   return num.toFixed(2);
}

function make_short_number(price){
   var num = (price);

   return num.toFixed(2);
}

function get_material_array(){
	return ["silver","gold_plated","rose_gold","gold","white_gold"];
}

function get_product_id_for_criteo(id,material,type){
	var material_arr = {
		"silver"	 : "1",
		"gold_plated": "2",
		"rose_gold"	 : "3",
		"gold"		 : "4",
		"white_gold" : "5"
	  };
	  
	  if(in_array(['1','2','3','4','5'],material_arr[material])){
	  	return id+'_'+material_arr[material];
	  }
	  else{
	  	return id;
	  }
	  
	  
}

function get_path_from_material(material_class,type){

	if(type == ''){
		if(material_class == 'gold_plated' || material_class == 'gold'){
			return 'gold_plated_';
		}
		else if(material_class == 'rose_gold'){
			return 'rose_gold_';
		}
		else{
			return '';
		}
	}
	else if(type == 'product-guarantee'){
		var material_arr 	= {"silver":"Solid_925_Silver","rose_gold":"Solid_925_Silver","gold_plated":"24k_Gold_Plated","gold":"Solid_14k_Yellow","white_gold":"Solid_14k_White_Gold"};
		
		return material_arr[material_class];
	}
	else if(type == 'product-chain-length'){
		var material_arr 	= {"silver":"chain-length-silver","rose_gold":"chain-length-silver","gold_plated":"chain-length-gold","gold":"chain-length-gold","white_gold":"chain-length-silver"};
		
		return material_arr[material_class];
	}
	else if(type == 'get-id-path'){
		var material_arr = {
				"silver"	 : "1",
				"gold_plated": "2",
				"rose_gold"	 : "3",
				"gold"		 : "4",
				"white_gold" : "5"
			  };
		  
		return material_arr[material_class];
		
	}
	else if(type == 'product-chain-type'){
		var material_arr 	= {"silver":"rolo-box-silver","rose_gold":"rolo-box-rose-gold","gold_plated":"rolo-box-gold","gold":"twist-box-gold","white_gold":"Silver-Box-Chain"};
		
		return material_arr[material_class];
	}
	else if(type == 'cat-step'){
		if(material_class == 'silver' || material_class == 'white_gold'){
			return 'silver';
		}
		else if(material_class == 'gold_plated' || material_class == 'gold'){
			return 'gold_plated';
		}
		else{
			return material_class;
		}
	}
	 


}

function update_pic_and_price_on_select_option_change(pic,prices,product_id){
	var material_path	 = get_path_from_material($('.product-selected-material').attr('rel'),'');

	if(pic != '' && typeof pic !== "undefined"){
		$('.bxslider li').css({"display": "none","z-index": "0"});
	
		var str = 'https://cdn.onecklace.com/products/'+product_id+'/'+material_path+'product_'+product_id+'_'+pic+'_'+pic_size()+'.jpeg';

		$('.product_image_1').attr('src' ,str);
		$('.product_image_1').parent('li').css({"display": "block","z-index": "50"});
	}	 

	$("#price_txt").html(prices[0]);
	$(".wholesale_price_txt").html(print_currency_sign(prices[0]));
	$(".product-price-big-wholesale").html(prices[0]);
	
	
	$("#regular-price-txt").html(print_currency_sign(prices[1]));
	var save_price = prices[1] - prices[0];
	
	save_price = save_price.toFixed(2);
	
	var save_p = parseInt((save_price/prices[1])*100)
	$("#save-price-txt").html('You Save '+print_currency_sign(save_price));
	$("#save-txt-green-mobile").html('You Save ' + print_currency_sign(save_price) +' ('+save_p+'%)');
    $("#save-p-txt").html('('+save_p+'% off)');
    
    //update double thickness price
	if($('#wholesaler_flag').length > 0){				

	var num = (40/100*prices[0]);
	// var num = Number(obj.double_thickness_charge_by_material);
   	num 	 = num.toFixed(2);
	$('#double_thickness').val(num);
	$('.dubble-thickness-value').html(print_currency_sign(num));
	}
}

function isEmail(email) {
  var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
  return regex.test(email);
}

function if_its_wholesale(){
	if('' == ''){
 		return false;
 	}
 	else{
 		return true;			
 	}
}

function chain_length_defult_value(product_type){
	if(product_type == 'bracelet'){
		if('' == ''){
			return '6.5';
		}
		else{
			return '16.5';
		}
	}
	else{
		if('' == ''){
			return '18';
		}
		else{
			return '45';
		}
	}
}

function chack_if_matrial_valid_and_return_name_if_valid(material){
	var material_class_arr = ['silver','rose_gold','gold_plated','gold','white_gold'];
	
	if($.inArray(material, material_class_arr) > -1){
		var material_class_obj = {'silver':'Sterling Silver','rose_gold':'Rose Gold','gold_plated':'24k Gold Plating','gold':'14K Gold','white_gold':'14k White Gold'};
		
		return material_class_obj[material];
	}
	else{
		return false;
	}
}

function change_material_in_string_for_hash_helper(string,material){
	if(typeof string  !== "undefined"){
		var arr = string.split('##');
		arr[6] = material;
	
		return arr.join("##");
	}
	else{
		return false;
	}
}

function add_material_filter_to_link(link,material){
	var arr = link.split('#');
	arr[1] = material;

	return arr.join("#");
}

function pic_size(){
	if ($(window).width() <= 768){
    	return '450';
    }
    else{
       	return '730';
    }
}

// Cookies: read,creat,delete..
function createCookie(name, value, days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
		var expires = "; expires=" + date.toGMTString();
	}
	else var expires = "";               

	document.cookie = name + "=" + encodeURI(value) + expires + "; path=/";
}

function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for (var i = 0; i < ca.length; i++) {
		var c = ca[i];
		while (c.charAt(0) == ' ') c = c.substring(1, c.length);
		if (c.indexOf(nameEQ) == 0) return decodeURI(c.substring(nameEQ.length, c.length));
	}
	return null;
}

function eraseCookie(name) {
	createCookie(name, "", -1);
}

function remove_class_and_add_class(remove,add,selected_class){
 	$('.'+remove).removeClass(selected_class);
	$(add).addClass(selected_class);
}

 function in_array(arr,obj) {
    return (arr.indexOf(obj) != -1);
}

function isInt(x) {
   var y = parseInt(x, 10);
   return !isNaN(y) && x == y && x.toString() == y.toString();
}

function $_GET(param) {
	var vars = {};
	window.location.href.replace( location.hash, '' ).replace( 
		/[?&]+([^=&]+)=?([^&]*)?/gi, // regexp
		function( m, key, value ) { // callback
			vars[key] = value !== undefined ? value : '';
		}
	);

	if ( param ) {
		return vars[param] ? vars[param] : null;	
	}
	return vars;
}

function replaceQueryParam(param, newval, search) {
    var regex = new RegExp("([?;&])" + param + "[^&;]*[;&]?");
    var query = search.replace(regex, "$1").replace(/&$/, '');

    return (query.length > 2 ? query + "&" : "?") + (newval ? param + "=" + newval : '');
}

function replaceUrlParam(url, paramName, paramValue){
	
	var tmp  = url.split("#");
	var hash = '';
		
	if(tmp.length == 2){
		hash = '#'+tmp[1];
		url  = tmp[0];
	}
	
    if(paramValue == null)
        paramValue = '';
    var pattern = new RegExp('\\b('+paramName+'=).*?(&|$)')
    if(url.search(pattern)>=0){
        return url.replace(pattern,'$1' + paramValue + '$2')+hash;
    }
    return url + (url.indexOf('?')>0 ? '&' : '?') + paramName + '=' + paramValue+hash 
}

function read_filter_for_ajax(){
	if($_GET('filter') != null){
	 	return '?filter='+$_GET('filter')
	}
	else{
		return '';
	}	
}

function addProductajaxFormContent(){
	return {
		beforeSubmit : function ShowRequest(formData, jqForm, options) {
			
			product_name = $('.title h1').text().replace("'", "\\'").replace('"', '\\"');
			var price	 = $('#price_txt').html();


			for(var i = 0; i < formData.length; i++) {
				if(formData[i].name == 'product_id'){
					id =  formData[i].value;
				}
				if(formData[i].name == 'product_material'){
					material =  formData[i].value;
				}
			}	
			
			id = get_product_id_for_criteo(id,material,'')		
		
			dataLayer.push({
			  'event': 'addToCart',
			  'addToCartID': id,
			  'addToCartProductPrice': price,
			  'ecommerce': {
			    'add': {                                
			      'products': [{                        
			        'name': product_name,
			        'id': id,
			        'price': price,
			        'brand': 'oNecklace',
			        'quantity': 1
			       }]
			    }
			  }
			});

			var queryString = $.param(formData);

			var formObj = formData;
			if ($(window).width() <= 768 || $('.add-to-cart-div').hasClass( "test-ajax-loder" )){
				$('.add-to-cart').html('');
				$('.add-to-cart').addClass('ajax-loder-on-add-to-cart-button');
			}
		},
		success : function SubmitSuccesful(responseText, statusText) {

		if ($(window).width() <= 768){
				window.location = 'https://www.onecklace.com/shopping-cart/';
				return false;
			}
            $('#quick-view-modal').modal('hide');

            update_header_cart();
           
			$('.float-cart-scroll').html(responseText);
			
			$('.shopping-cart-flot-cart').show('slow');
			
			if($('.add-to-cart-div').hasClass( "test-ajax-loder" )){
            	$('.add-to-cart-div .general-submit').html('ADD TO CART').removeClass('ajax-loder-on-add-to-cart-button');
            }

			$("html, body").animate({ scrollTop: 0 }, "slow");            
		},
		error : function AjaxError(e) {
			if(e.status === 401){
				location.reload()
			} 
			return false;
		}
	}
}

function print_releted_categorie_product(value,source){				
	$.ajax({
		url: "https://www.onecklace.com/functions/functions.php",
		type: "post",
		data: "type=get-recomend-product-for-categorie-page&value="+value,
		success: function(responseText){
			$('.product-cubes-p').append('<div class="recommended-product clear"><div class="clear recommended-product-text text-center text-center ">You Might Like</div></div>');
			$('.recommended-product').append(responseText);
		},
		error:function(){
			location.reload();
		}   
	});
}

function detectCardType(number) {
    var re = {
        visa: /^4/,
        mastercard: /^5[1-5]/,
        amex: /^3[47][0-9]/,
        diners: /^3(?:0[0-5]|[68][0-9])[0-9]/,
        discover: /^6(?:011|5[0-9]{2})[0-9]/,
    };
	if (re.visa.test(number)) {
        return 'visa';
    } else if (re.mastercard.test(number)) {
        return 'master';
    } else if (re.amex.test(number)) {
        return 'amex';
    } else if (re.diners.test(number)) {
        return 'diners';
    } else if (re.discover.test(number)) {
        return 'discover';
    } else {
        return undefined;
    }
}

function send_error_to_developer(error_type,error_more_info){
	if(typeof error_more_info === 'object'){
		var error_more_info = JSON.stringify({error_type:error_more_info});
	}
	
	 $.ajax({
		url: "https://www.onecklace.com/functions/functions.php",
		type: "post",
			data: "type=send_error_to_developer&error_type="+error_type+"&error_more_info="+error_more_info,			
			success: function(responseText){
			},
			error:function(){}   
		});
}

function checkout_form_error_handler(source){
	var errorFlag  = '';
	var errorFlag2 = '';
	
 	if($("#ccNo").is(":visible")){
		
		if($('#expMonth').val() == 'MM' || $('#expMonth').val() == ''){
	    	$('#expMonth').addClass('cc-select-error');
	    	errorFlag = '1';
	    }
	    else{
	    	$('#expMonth').removeClass('cc-select-error');
	    }
	    
	    if($('#expYear').val() == 'YY' || $('#expYear').val() == ''){
	    	$('#expYear').addClass('cc-select-error');
	    	errorFlag = '1';
	    }
	    else{
	    	$('#expYear').removeClass('cc-select-error');
	    }
	    
	    
	    var cvv = $('#cvv').val().replace(/\D/g,'');
		$('#cvv').val(cvv)
		
	    if(cvv.length < 3  || !($.isNumeric(cvv)) ){
	    	$('#cvv').addClass('cc-select-error');
	    	errorFlag = '1';
	    }
	    else{
	    	$('#cvv').removeClass('cc-select-error');
	    }
	    
	    
	    var ccNo = $('#ccNo').val().replace(/\D/g,'');
		$('#ccNo').val(ccNo)
		
	    if($('#ccNo').val().length < 10 || !($.isNumeric(ccNo))){
	    	$('#ccNo').addClass('cc-select-error');
	    	errorFlag = '1';
	    }
	      else{
	    	$('#ccNo').removeClass('cc-select-error');
	    }
	    
	    	    
	    if($('#cardHolder').val().length < 2 && $("#cardHolder").is(":visible")){
	    	$('#cardHolder').addClass('cc-select-error');
	    	errorFlag = '1';
	    }
	    else{
	    	$('#cardHolder').removeClass('cc-select-error');
	    }
	    
	 
			    	    
	    if(errorFlag != ''){
	    	$('.cc-errors').html('Missing Card Information');
	    	
	    	if(!($(window).width() <= 768) && source != 'keyup'){
	    		scrollTopWithUserAgentFilter(".cc-errors",'',1000);
    		}
			
	    	return false;
	    }
	    else{
	    	$('.cc-errors').html('');
	    	$('.cards-inputs .checkout-input').removeClass('cc-select-error');
	    	
	    	return true;
	    }
	}
	else{
		return true;
	}
}

function scrollTopWithUserAgentFilter(selector,ofset,time){
	var ofset = (ofset != '' ? ofset : 0 );

	if($(selector).length){
		
		if(iOS) {
	        $('html, body', parent.document).animate({ scrollTop: ($(selector).first().offset().top - ofset)}, time);
	    } else {
	        $('html, body').animate({ scrollTop: ($(selector).first().offset().top - ofset)}, time);
	    }
	}	
}


function StripCountDownDate(id_name,date){
	var countDownDate = new Date(date).getTime();
	
	var x 		= setInterval(function() {
	var now 	= new Date().getTime();
	var distance = countDownDate - now;
	var days 	= Math.floor(distance / (1000 * 60 * 60 * 24));
	var hours 	= Math.floor(Math.abs(countDownDate - now) / 36e5);
	var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
	var seconds = Math.floor((distance % (1000 * 60)) / 1000);
	var addZero  = (hours < 10 ? '0': '');
	var addZero2 = (minutes < 10 ? '0': '');
	var addZero3 = (seconds < 10 ? '0': '');
	
	if(id_name === 'thank-you-offer-countdown'){
		document.getElementById(id_name).innerHTML 	 =  addZero + hours + ":" + addZero2 + minutes + ":" + addZero3 + seconds + " ";
	}else if(id_name === 'strip-countdown'){
		document.getElementById('hours').innerHTML 	 =  addZero + hours;
		document.getElementById('minutes').innerHTML =  addZero2 + minutes;
		document.getElementById('seconds').innerHTML =  addZero3 + seconds;
	}
	
	
	if (distance < 0) {
		clearInterval(x);
		document.getElementById(id_name).innerHTML = "";
	}
	}, 1000);
}

function printr(obj){
	console.log(obj);
}

function ab_test_ajax_check_helper(type){
	if($('.version-b-cube-flag').length){
		$('.category-material-button-continer').addClass('display-none');
	}

	//Checkout page:
	if($('.checkout-container').hasClass('estimated-delivery-ab-flag') && type == 'estimated-delivery'){
		$('.estimated-delivery-checkout').removeClass('display-none');
	}
}

function print_limit_characters_html(status){
	var input_text = $('.input-limit-gold-checkbox-continer').parents('.personalize-1:first').find('.input-text');

	if(input_text.length){
		if(status){
			$(input_text).attr('maxlength' ,'10');
			$(input_text).val($(input_text).val().substring(0,10))
		}
		else{
			$('.input-limit-gold-checkbox-continer, .limit-characters-error').hide();
			$(input_text).attr('maxlength' ,'100');
			if('' != '')$('.double-thickness-continer2').removeClass('display-none');
		}
	}
}

function isPositive(num){
    if(num < 0)
        return false;
    else
        return true;
}

function removeA(arr) {
    var what, a = arguments, L = a.length, ax;
    while (L > 1 && arr.length) {
        what = a[--L];
        while ((ax= arr.indexOf(what)) !== -1) {
            arr.splice(ax, 1);
        }
    }
    return arr;
}

function fixSpecificationDottedLine() {
	var el = $('.product-specification-dotted-line');
	if($('.checkout-container').length){
		$(el).hide();
	}
	else if(!isMobile() && $('.product-step-number').is(":visible")){
		//don't stop it..
	}
	else{
		return false;
	}

	// if($(el).length == 0){
	// 	$('.product-step-number:first').append('<span class="product-specification-dotted-line"></span>');
	// 	$(el).css('margin-top','0px');
	// }

	var first = $('.product-step-number:first').offset();
	var last  = $('.product-step-number:visible').last().offset();

	//Fix the height
	if($(el).length){
		$(el).css('height',(last.top - first.top)+'px');
	}

	if($(el).is(":hidden")){
		$(el).show();
	}
}

function isMobile(){
	var isMobile = false; //initiate as false
	// device detection
	if(/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|ipad|iris|kindle|Android|Silk|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(navigator.userAgent) 
		|| /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(navigator.userAgent.substr(0,4))) { 
		isMobile = true;
	}

	return isMobile;
}


jQuery.fn.removeClassExcept = function (val) {
    return this.each(function () {
        $(this).removeClass().addClass(val);
    });
};

function lazyImage() {
	$('.lazy').lazy({
    effect: "fadeIn",
    effectTime: 0,
    bind: "event"
});
}

function createShippingDetailsCookie() {
	createCookie('first_name',$('#first_name').val(), 30);
	createCookie('last_name',$('#last_name').val(), 30);
	createCookie('email', 	$('#email').val(), 30);
	createCookie('address1',$('#address1').val(), 30);
	createCookie('city', 	$('#city').val(), 30);
	createCookie('zip', 	$('#zip').val(), 30);
	createCookie('country', $('#country').val(), 30);
	createCookie('state', 	$('#state').val(), 30);
	createCookie('phone', 	$('#phone').val(), 30);
}

function updateChainStyleIdInInput(el){
	if($(el).parents('.chain-style-continer:first').find('.chain_style_id').length){
		$(el).parents('.chain-style-continer:first').find('.chain_style_id').val($(el).attr('style_id'));
	}
}

function insertCardHolderNameIfInvisible(){
	if(!$("#cardHolder").is(":visible")){
		const first_name = $("#first_name").val();
		const last_name  = $("#last_name").val();
		$("#cardHolder").val(`${first_name} ${last_name}`);
	}
}
